#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa7c1e3c6, "pcpu_hot" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7fdeed2c, "security_sk_classify_flow" },
	{ 0x1f573dbf, "ip_route_output_flow" },
	{ 0x49915a4e, "__netdev_alloc_skb" },
	{ 0x31ba60f0, "skb_put" },
	{ 0xf7fe3251, "skb_pull" },
	{ 0xde954996, "skb_push" },
	{ 0x226db8ab, "skb_checksum" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x5ef7d6fb, "ip_local_out" },
	{ 0x9c9f70ba, "__ip_select_ident" },
	{ 0xcea3276, "make_kuid" },
	{ 0x6131ce92, "dst_release" },
	{ 0x84823ab1, "consume_skb" },
	{ 0x2abf96f0, "ipv6_mc_check_mld" },
	{ 0xc0a51b37, "ip_mc_check_igmp" },
	{ 0xf3081e20, "udp_tunnel_xmit_skb" },
	{ 0x7b7e4b68, "skb_copy_expand" },
	{ 0x5d3a51ad, "pskb_expand_head" },
	{ 0x838d2bc8, "siphash_3u32" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x54b71c82, "__dev_queue_xmit" },
	{ 0xd98beb49, "__iptunnel_pull_header" },
	{ 0x438d7cbf, "gro_cells_receive" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x858f2913, "icmp_ndo_send" },
	{ 0xee394dcf, "ipv6_dev_get_saddr" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xe3265e41, "__netif_rx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd5a43273, "nla_put" },
	{ 0xf52560b8, "unregister_netdevice_queue" },
	{ 0x5361653d, "netdev_upper_dev_unlink" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xfcde8d48, "__dynamic_netdev_dbg" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9913cddc, "dev_get_by_index" },
	{ 0xdd0fe73a, "register_netdevice" },
	{ 0x25aed5bd, "netdev_upper_dev_link" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7ebc9d3d, "udp_tunnel_sock_release" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x54f46593, "kfree_skb_reason" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x55871848, "gro_cells_init" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xa30feed8, "rtnl_link_register" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xed2fecc9, "rtnl_link_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x92997ed8, "_printk" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd8b58e86, "udp_sock_create4" },
	{ 0x2093e103, "setup_udp_tunnel_sock" },
	{ 0x3adb67a9, "dev_addr_mod" },
	{ 0x9fc87596, "ether_setup" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x96a5daf0, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xe33f92fe, "kmalloc_caches" },
	{ 0xcad0d60, "kmalloc_trace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x15d6a15b, "__pskb_pull_tail" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel");


MODULE_INFO(srcversion, "6C13CE306AAB5CB36FED889");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
