#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7e18316d, "_dev_info" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x180089aa, "napi_disable" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7e0c129b, "pci_disable_msi" },
	{ 0x435d7f8f, "netif_device_detach" },
	{ 0xe4967dc5, "_dev_printk" },
	{ 0x9874cb44, "pci_wake_from_d3" },
	{ 0x1d46433b, "pci_set_power_state" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x4c9f4099, "napi_schedule_prep" },
	{ 0xd67a80c8, "__napi_schedule" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x31ba60f0, "skb_put" },
	{ 0x9eef41bf, "eth_type_trans" },
	{ 0x2bf63182, "netif_receive_skb" },
	{ 0xc59b3eec, "dev_kfree_skb_irq_reason" },
	{ 0x4c504c83, "napi_complete_done" },
	{ 0xaec82908, "netif_tx_wake_queue" },
	{ 0x5d3a51ad, "pskb_expand_head" },
	{ 0x1da6caaf, "___pskb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd564aa9e, "netif_carrier_on" },
	{ 0x3a18c7a8, "pci_enable_msi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x937f26da, "napi_enable" },
	{ 0xdef75f3, "netif_device_attach" },
	{ 0xb5d85415, "eth_validate_addr" },
	{ 0xa48e05c4, "param_ops_int" },
	{ 0xd1a3f16e, "param_array_ops" },
	{ 0x5b2dec1b, "ethtool_op_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb25a90c8, "__pci_register_driver" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd2a0fa54, "__dynamic_dev_dbg" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x49915a4e, "__netdev_alloc_skb" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9a765dcc, "dma_map_page_attrs" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x84823ab1, "consume_skb" },
	{ 0x27824012, "dma_unmap_page_attrs" },
	{ 0xfb578fc5, "memset" },
	{ 0x67f1b31c, "dev_kfree_skb_any_reason" },
	{ 0x6d7d6565, "unregister_netdev" },
	{ 0xf67a54be, "pci_iounmap" },
	{ 0xa5389242, "pci_release_regions" },
	{ 0xe1de6057, "free_netdev" },
	{ 0xfba3b786, "pci_disable_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x574963de, "dma_free_attrs" },
	{ 0x83b79334, "device_set_wakeup_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xab270b94, "generic_mii_ioctl" },
	{ 0x3adb67a9, "dev_addr_mod" },
	{ 0x56470118, "__warn_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0x489dc378, "_dev_warn" },
	{ 0xc2ece0c, "pci_unregister_driver" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbe567f56, "dma_alloc_attrs" },
	{ 0x24ecb702, "_dev_err" },
	{ 0x354ae3e, "pci_enable_device" },
	{ 0x2ce0da51, "dma_set_mask" },
	{ 0x6b4838ba, "pci_request_regions" },
	{ 0x1032feb2, "pci_set_master" },
	{ 0xb55206a4, "alloc_etherdev_mqs" },
	{ 0x2b4db9d, "pci_iomap" },
	{ 0x80d30de1, "netif_napi_add_weight" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x1bfca32c, "netif_carrier_off" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb6a063de, "register_netdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfe1f42fd, "_dev_notice" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "mii");

MODULE_ALIAS("pci:v00001969d00001048sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "3319EFD69567B676E949C7E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
