#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ath11k_debug_mask, "", "");
KSYMTAB_FUNC(ath11k_core_suspend, "", "");
KSYMTAB_FUNC(ath11k_core_suspend_late, "", "");
KSYMTAB_FUNC(ath11k_core_resume_early, "", "");
KSYMTAB_FUNC(ath11k_core_resume, "", "");
KSYMTAB_FUNC(ath11k_core_pre_init, "", "");
KSYMTAB_FUNC(ath11k_core_init, "", "");
KSYMTAB_FUNC(ath11k_core_deinit, "", "");
KSYMTAB_FUNC(ath11k_core_free, "", "");
KSYMTAB_FUNC(ath11k_core_alloc, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_init, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_deinit, "", "");
KSYMTAB_DATA(ath11k_cold_boot_cal, "", "");
KSYMTAB_FUNC(ath11k_qmi_fwreset_from_cold_boot, "", "");
KSYMTAB_FUNC(ath11k_qmi_deinit_service, "", "");
KSYMTAB_FUNC(ath11k_dp_service_srng, "", "");
KSYMTAB_FUNC(ath11k_info, "", "");
KSYMTAB_FUNC(ath11k_err, "", "");
KSYMTAB_FUNC(ath11k_warn, "", "");
KSYMTAB_FUNC(ath11k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath11k_ce_get_shadow_config, "", "");
KSYMTAB_FUNC(ath11k_ce_cleanup_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath11k_ce_free_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_alloc_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_get_attr_flags, "", "");
KSYMTAB_FUNC(ath11k_pcic_init_msi_config, "", "");
KSYMTAB_FUNC(ath11k_pcic_write32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_msi_address, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_user_msi_assignment, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_ce_msi_idx, "", "");
KSYMTAB_FUNC(ath11k_pcic_free_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_disable, "", "");
KSYMTAB_FUNC(ath11k_pcic_config_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irqs_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irq_disable_sync, "", "");
KSYMTAB_FUNC(ath11k_pcic_stop, "", "");
KSYMTAB_FUNC(ath11k_pcic_start, "", "");
KSYMTAB_FUNC(ath11k_pcic_map_service_to_pipe, "", "");
KSYMTAB_FUNC(ath11k_pcic_register_pci_ops, "", "");
KSYMTAB_FUNC(ath11k_pci_enable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_pci_disable_ce_irqs_except_wake_irq, "", "");

SYMBOL_CRC(ath11k_debug_mask, 0x9c51bcc4, "");
SYMBOL_CRC(ath11k_core_suspend, 0xb34ffd6d, "");
SYMBOL_CRC(ath11k_core_suspend_late, 0x616645df, "");
SYMBOL_CRC(ath11k_core_resume_early, 0x591b8608, "");
SYMBOL_CRC(ath11k_core_resume, 0x8ba1376f, "");
SYMBOL_CRC(ath11k_core_pre_init, 0xbe3ee5fd, "");
SYMBOL_CRC(ath11k_core_init, 0xa0346947, "");
SYMBOL_CRC(ath11k_core_deinit, 0x459c2a87, "");
SYMBOL_CRC(ath11k_core_free, 0xa9941857, "");
SYMBOL_CRC(ath11k_core_alloc, 0x22cad20e, "");
SYMBOL_CRC(ath11k_hal_srng_init, 0x471b3320, "");
SYMBOL_CRC(ath11k_hal_srng_deinit, 0x785be2c1, "");
SYMBOL_CRC(ath11k_cold_boot_cal, 0xf0197188, "");
SYMBOL_CRC(ath11k_qmi_fwreset_from_cold_boot, 0x129e7736, "");
SYMBOL_CRC(ath11k_qmi_deinit_service, 0xb5cfb8c1, "");
SYMBOL_CRC(ath11k_dp_service_srng, 0x00263dd8, "");
SYMBOL_CRC(ath11k_info, 0x9d686394, "");
SYMBOL_CRC(ath11k_err, 0x9f92c04f, "");
SYMBOL_CRC(ath11k_warn, 0x933c35eb, "");
SYMBOL_CRC(ath11k_ce_per_engine_service, 0xb6fde168, "");
SYMBOL_CRC(ath11k_ce_get_shadow_config, 0x181f3b60, "");
SYMBOL_CRC(ath11k_ce_cleanup_pipes, 0x32958b9c, "");
SYMBOL_CRC(ath11k_ce_rx_post_buf, 0xe6c7a91c, "");
SYMBOL_CRC(ath11k_ce_free_pipes, 0xa1a4d064, "");
SYMBOL_CRC(ath11k_ce_alloc_pipes, 0xf69bd8f3, "");
SYMBOL_CRC(ath11k_ce_get_attr_flags, 0x095fbea1, "");
SYMBOL_CRC(ath11k_pcic_init_msi_config, 0x9bdc9126, "");
SYMBOL_CRC(ath11k_pcic_write32, 0x4f1aa73c, "");
SYMBOL_CRC(ath11k_pcic_read32, 0x753af2cd, "");
SYMBOL_CRC(ath11k_pcic_read, 0xb01e8bf2, "");
SYMBOL_CRC(ath11k_pcic_get_msi_address, 0x1391303f, "");
SYMBOL_CRC(ath11k_pcic_get_user_msi_assignment, 0x27769842, "");
SYMBOL_CRC(ath11k_pcic_get_ce_msi_idx, 0x3f2d1532, "");
SYMBOL_CRC(ath11k_pcic_free_irq, 0xc1f6d622, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_enable, 0xe5f6d34b, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_disable, 0xd24abe03, "");
SYMBOL_CRC(ath11k_pcic_config_irq, 0x605f44f3, "");
SYMBOL_CRC(ath11k_pcic_ce_irqs_enable, 0x0dec20a4, "");
SYMBOL_CRC(ath11k_pcic_ce_irq_disable_sync, 0x939e7867, "");
SYMBOL_CRC(ath11k_pcic_stop, 0xddf1f659, "");
SYMBOL_CRC(ath11k_pcic_start, 0xf58bff8b, "");
SYMBOL_CRC(ath11k_pcic_map_service_to_pipe, 0x4f8e039f, "");
SYMBOL_CRC(ath11k_pcic_register_pci_ops, 0x2aae91f7, "");
SYMBOL_CRC(ath11k_pci_enable_ce_irqs_except_wake_irq, 0x4135876e, "");
SYMBOL_CRC(ath11k_pci_disable_ce_irqs_except_wake_irq, 0xe640f7e2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xaf1a9971, "ieee80211_wake_queues" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe3e233c9, "qmi_txn_init" },
	{ 0xd2354d22, "ieee80211_report_low_ack" },
	{ 0x4da9bf99, "ieee80211_beacon_get_template" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc4f1f1e9, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1d1f5806, "ieee80211_free_txskb" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xcb54c43c, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x75a959b2, "dma_sync_single_for_cpu" },
	{ 0x288fd284, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x94a92b03, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0x489dc378, "_dev_warn" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x131f5aea, "ieee80211_beacon_free_ema_list" },
	{ 0x49915a4e, "__netdev_alloc_skb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0xd3cc0329, "ieee80211_ready_on_channel" },
	{ 0x51964b94, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4020d8f, "skb_trim" },
	{ 0x9d5b56f0, "qmi_handle_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2ac61fb3, "pv_ops" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0x3abd1692, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x29cff3ea, "ieee80211_vif_to_wdev" },
	{ 0x574963de, "dma_free_attrs" },
	{ 0xf673901e, "ieee80211_scan_completed" },
	{ 0x3561e5d5, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xc59b99dc, "crypto_shash_final" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf6125d05, "param_ops_bool" },
	{ 0x6493db2a, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x43c1e16d, "ieee80211_color_change_finish" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x10350f68, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3f722971, "thermal_cooling_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xcad0d60, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x48cff0ab, "ieee80211_queue_work" },
	{ 0x4c9f4099, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x180089aa, "napi_disable" },
	{ 0x67f1b31c, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xf14ddc45, "regulatory_set_wiphy_regd" },
	{ 0x4a9f6dc9, "cfg80211_chandef_dfs_cac_time" },
	{ 0x29bee9e3, "crypto_alloc_shash" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xf1f2c813, "ieee80211_beacon_get_template_ema_list" },
	{ 0xab9cc40, "qmi_add_lookup" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x623fa24e, "__cfg80211_get_bss" },
	{ 0x50f42e7c, "init_dummy_netdev" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe33f92fe, "kmalloc_caches" },
	{ 0x86e365af, "ieee80211_csa_finish" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x34e5d722, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x76e0b43, "ieee80211_beacon_update_cntdwn" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x4db3d7da, "ieee80211_gtk_rekey_notify" },
	{ 0x83b79334, "device_set_wakeup_enable" },
	{ 0x98c178d2, "completion_done" },
	{ 0x70030b9e, "cfg80211_chandef_dfs_usable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x8c2e9060, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1d9c5c39, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x8260bb25, "param_ops_uint" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x31ba60f0, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6274f260, "firmware_request_nowarn" },
	{ 0xea55d25d, "qmi_handle_init" },
	{ 0x84823ab1, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x80d30de1, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfcb37521, "device_get_mac_address" },
	{ 0xe9a767a2, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf8009136, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xf6a9b96f, "ieee80211_free_hw" },
	{ 0x27824012, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x743484f8, "ieee80211_iterate_stations_atomic" },
	{ 0xf4070fcc, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x24e91020, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5b36ee49, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0x6c9649b6, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0xa7c1e3c6, "pcpu_hot" },
	{ 0xd855d102, "thermal_cooling_device_register" },
	{ 0x70252cbe, "ieee80211_register_hw" },
	{ 0xf186076c, "rhashtable_init" },
	{ 0xc7a1ca01, "ieee80211_restart_hw" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x54df44ed, "ieee80211_get_hdrlen_from_skb" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x91804713, "__netif_napi_del" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x15e63a46, "ieee80211_hw_restart_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5d3a51ad, "pskb_expand_head" },
	{ 0x1094c1fd, "dev_driver_string" },
	{ 0x19a630bc, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5305fb1e, "ieee80211_find_sta" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x9a765dcc, "dma_map_page_attrs" },
	{ 0xa01b28c6, "qmi_send_request" },
	{ 0x4c504c83, "napi_complete_done" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xa53e2c71, "ieee80211_handle_wake_tx_queue" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x478ac129, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xb2359957, "ieee80211_iter_chan_contexts_atomic" },
	{ 0xd67a80c8, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0xc446fd2c, "cfg80211_put_bss" },
	{ 0x9af842d, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xeaaa870c, "qmi_txn_wait" },
	{ 0x7e18316d, "_dev_info" },
	{ 0x8ebb4be, "skb_queue_tail" },
	{ 0x1263718, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84d94eb8, "sysfs_create_link" },
	{ 0x5f16d11b, "ieee80211_obss_color_collision_notify" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x41c3e2d0, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd1eef2ee, "ieee80211_queue_delayed_work" },
	{ 0xc7921227, "__skb_get_hash" },
	{ 0x24ecb702, "_dev_err" },
	{ 0x3246dc65, "crypto_shash_setkey" },
	{ 0xf7fe3251, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xed15b46a, "qmi_txn_cancel" },
	{ 0x2e8981bd, "sysfs_remove_link" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6507c306, "ieee80211_find_sta_by_ifaddr" },
	{ 0x54f46593, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5e8b41f9, "ieee80211_remain_on_channel_expired" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xde954996, "skb_push" },
	{ 0xbe567f56, "dma_alloc_attrs" },
	{ 0x937f26da, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x12284411, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "mac80211,qmi_helpers,cfg80211");


MODULE_INFO(srcversion, "4A28F579E3846895EB1D365");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
