#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x0_chip_onoff, "_gpl", "");
KSYMTAB_FUNC(mt76x0_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x0_init_hardware, "_gpl", "");
KSYMTAB_FUNC(mt76x0_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x0_config, "_gpl", "");
KSYMTAB_FUNC(mt76x0_phy_calibrate, "_gpl", "");

SYMBOL_CRC(mt76x0_chip_onoff, 0x2a3f72f0, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0xa1503ffe, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0xdac0c51e, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0xb3e48ae0, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0x4bc733c7, "_gpl");
SYMBOL_CRC(mt76x0_config, 0x115499d7, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0x3db4a012, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd74e996d, "mt76x02_mac_shared_key_setup" },
	{ 0x570d19ab, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc1122b38, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7e18316d, "_dev_info" },
	{ 0xbafb97b8, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0xd1eef2ee, "ieee80211_queue_delayed_work" },
	{ 0x54a8d92f, "mt76_eeprom_init" },
	{ 0x24ecb702, "_dev_err" },
	{ 0x41fdd914, "mt76x02_mac_setaddr" },
	{ 0xbdf37f44, "mt76_register_device" },
	{ 0x918f6d2f, "mt76x02_phy_set_bw" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xcea46a28, "mt76x02_phy_set_band" },
	{ 0xd801f11e, "mt76_set_channel" },
	{ 0xcbc54bb4, "mt76x02_init_device" },
	{ 0xaf1a9971, "ieee80211_wake_queues" },
	{ 0x3f08564c, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x6eca983, "mt76x02_phy_set_rxpath" },
	{ 0xce2317d5, "mt76x02_edcca_init" },
	{ 0xcd56e78b, "mt76_eeprom_override" },
	{ 0x6f8582e3, "mt76x02_get_lna_gain" },
	{ 0xd3b6a56e, "mt76x02_init_debugfs" },
	{ 0x489dc378, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51964b94, "ieee80211_stop_queues" },
	{ 0xcb3901e4, "mt76x02_mac_cc_reset" },
	{ 0x11bc2e63, "mt76x02_init_agc_gain" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x616409b1, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x4f86aee9, "____mt76_poll_msec" },
	{ 0x6b19a482, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa7d08984, "mt76x02_config_mac_addr_list" },
	{ 0xa803c3a4, "mt76_get_sar_power" },
	{ 0x1cb84ef0, "mt76x02_eeprom_copy" },
	{ 0x8d2bd5e, "mt76x02_mcu_calibrate" },
	{ 0xd6e2bf51, "mt76x02_mcu_function_select" },
	{ 0xffd85422, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0xd9107b73, "mt76x02_mac_wcid_setup" },
	{ 0x39ad0e05, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x53807b06, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0xd82003a2, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1c87036e, "mt76_init_sar_power" },
	{ 0x10225b0, "mt76x02_phy_adjust_vga_gain" },
	{ 0x494bda29, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xd2a0fa54, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "CE2DD35AF09A8753CBEF0D2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
