#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x90f8e55d, "mt7925_mac_init" },
	{ 0xf64cf59d, "mt792xu_rmw" },
	{ 0x63c40de1, "mt7925_mac_sta_assoc" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x724f3fa6, "mt76u_resume_rx" },
	{ 0xdd4390f, "kthread_park" },
	{ 0xd2a0fa54, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x27cbaf0e, "mt76_alloc_device" },
	{ 0x46f36f3c, "wake_up_process" },
	{ 0x3f2ec9e1, "skb_queue_purge_reason" },
	{ 0xefa61028, "mt792xu_mcu_power_on" },
	{ 0x84d876a3, "mt7925_mac_sta_remove" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x36bbc19f, "mt7925_ops" },
	{ 0x2835bd13, "__mt7925_start" },
	{ 0x6a201e8a, "usb_put_dev" },
	{ 0xd5f17603, "usb_bulk_msg" },
	{ 0xe4d58958, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xebfea8b3, "usb_get_dev" },
	{ 0x9f30eaa, "mt76u_alloc_mcu_queue" },
	{ 0xeef11657, "mt76_free_device" },
	{ 0x57312c87, "kthread_unpark" },
	{ 0x953d6e34, "mt76u_queues_deinit" },
	{ 0xde954996, "skb_push" },
	{ 0x86647ae3, "mt792xu_wfsys_reset" },
	{ 0xe0e3d0b9, "mt7925_run_firmware" },
	{ 0x36d0129f, "mt792xu_disconnect" },
	{ 0x9f970a97, "mt7925_mac_sta_add" },
	{ 0x77a28831, "mt792xu_wr" },
	{ 0x33b75706, "usb_deregister" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc9225a23, "mt7925_mcu_set_eeprom" },
	{ 0xac923785, "mt76u_read_copy" },
	{ 0xf7ceaa6e, "mt7925_usb_sdio_tx_prepare_skb" },
	{ 0xd099c62d, "mt7925_register_device" },
	{ 0x616409b1, "mt76_txq_schedule_all" },
	{ 0xac9c635a, "mt76u_alloc_queues" },
	{ 0xf8d47aaf, "mt7925_usb_sdio_tx_status_data" },
	{ 0xda7a765c, "mt76u_stop_tx" },
	{ 0xb135e2c0, "mt792xu_init_reset" },
	{ 0x93f1f3f5, "mt792xu_dma_init" },
	{ 0xfb3b29fa, "mt792x_update_channel" },
	{ 0xb4f9c607, "mt792x_get_mac80211_ops" },
	{ 0x93197493, "mt7925_mcu_parse_response" },
	{ 0x3eea084c, "mt7925_mcu_fill_message" },
	{ 0x83a20591, "mt76u_stop_rx" },
	{ 0x3792f13, "mt76_connac_mcu_set_hif_suspend" },
	{ 0xd979e893, "mt792x_reset" },
	{ 0xf76f6a13, "mt792xu_rr" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5730e1b6, "mt7925_rx_check" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x487e46a9, "mt7925_queue_rx_skb" },
	{ 0x68bc7605, "__mt76u_init" },
	{ 0x84823ab1, "consume_skb" },
	{ 0x3c0de7d8, "mt792xu_copy" },
	{ 0xe409c6cd, "mt792xu_stop" },
	{ 0x7a0f72f, "usb_register_driver" },
	{ 0xb992bfd7, "mt7925_usb_sdio_tx_complete_skb" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "mt7925-common,mt792x-usb,mt76-usb,mt76,usbcore,mt792x-lib,mt76-connac-lib");

MODULE_ALIAS("usb:v0E8Dp7925d*dc*dsc*dp*icFFiscFFipFFin*");

MODULE_INFO(srcversion, "76A8B210C763003C784DBC7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
