#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00lib_get_bssidx, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_beacondone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_pretbtt, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmastart, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmadone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_nomatch, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_noinfo, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_set_mac_address, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_probe_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_remove_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_resume, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_stop, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_add_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_remove_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_config, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_configure_filter, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_tim, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_key, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_stats, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_flush, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_ringparam, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx_frames_pending, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_map_txskb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unmap_skb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_for_each_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_get_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_pause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unpause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queues, "_gpl", "");

SYMBOL_CRC(rt2x00lib_get_bssidx, 0xd2c3db8f, "_gpl");
SYMBOL_CRC(rt2x00lib_beacondone, 0xa17b9e90, "_gpl");
SYMBOL_CRC(rt2x00lib_pretbtt, 0x6f797ee6, "_gpl");
SYMBOL_CRC(rt2x00lib_dmastart, 0x6d4041f7, "_gpl");
SYMBOL_CRC(rt2x00lib_dmadone, 0x22c9142e, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_nomatch, 0x8cebdd53, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone, 0xc3f6118a, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_noinfo, 0x2abe1b55, "_gpl");
SYMBOL_CRC(rt2x00lib_rxdone, 0x3e5e6b01, "_gpl");
SYMBOL_CRC(rt2x00lib_set_mac_address, 0xc1baef98, "_gpl");
SYMBOL_CRC(rt2x00lib_probe_dev, 0x59358263, "_gpl");
SYMBOL_CRC(rt2x00lib_remove_dev, 0xe163c0d4, "_gpl");
SYMBOL_CRC(rt2x00lib_suspend, 0x8fbe95a6, "_gpl");
SYMBOL_CRC(rt2x00lib_resume, 0x920645be, "_gpl");
SYMBOL_CRC(rt2x00mac_tx, 0xe8491d57, "_gpl");
SYMBOL_CRC(rt2x00mac_start, 0x9ff3db79, "_gpl");
SYMBOL_CRC(rt2x00mac_stop, 0x30ae2ef7, "_gpl");
SYMBOL_CRC(rt2x00mac_reconfig_complete, 0xb99c5daa, "_gpl");
SYMBOL_CRC(rt2x00mac_add_interface, 0xd4a4aeb0, "_gpl");
SYMBOL_CRC(rt2x00mac_remove_interface, 0x536e6cc5, "_gpl");
SYMBOL_CRC(rt2x00mac_config, 0x4c4f80c1, "_gpl");
SYMBOL_CRC(rt2x00mac_configure_filter, 0xc706d40a, "_gpl");
SYMBOL_CRC(rt2x00mac_set_tim, 0x88f991f3, "_gpl");
SYMBOL_CRC(rt2x00mac_set_key, 0x7cf93fa2, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_start, 0x64fc14c2, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_complete, 0x5a1c20a6, "_gpl");
SYMBOL_CRC(rt2x00mac_get_stats, 0x4ab6b353, "_gpl");
SYMBOL_CRC(rt2x00mac_bss_info_changed, 0x25ff1724, "_gpl");
SYMBOL_CRC(rt2x00mac_conf_tx, 0xb7f10939, "_gpl");
SYMBOL_CRC(rt2x00mac_rfkill_poll, 0x7943073b, "_gpl");
SYMBOL_CRC(rt2x00mac_flush, 0x6ad05d5f, "_gpl");
SYMBOL_CRC(rt2x00mac_set_antenna, 0x049496a2, "_gpl");
SYMBOL_CRC(rt2x00mac_get_antenna, 0x22daf192, "_gpl");
SYMBOL_CRC(rt2x00mac_get_ringparam, 0xc2482e4e, "_gpl");
SYMBOL_CRC(rt2x00mac_tx_frames_pending, 0x44f60964, "_gpl");
SYMBOL_CRC(rt2x00queue_map_txskb, 0xe3d92f28, "_gpl");
SYMBOL_CRC(rt2x00queue_unmap_skb, 0xc18c417c, "_gpl");
SYMBOL_CRC(rt2x00queue_for_each_entry, 0x9bf6d688, "_gpl");
SYMBOL_CRC(rt2x00queue_get_entry, 0x94dae6c6, "_gpl");
SYMBOL_CRC(rt2x00queue_pause_queue, 0xe2e7ee52, "_gpl");
SYMBOL_CRC(rt2x00queue_unpause_queue, 0x14870848, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queue, 0x52726d8e, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queue, 0x2b81c54e, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queue, 0x68ccb553, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queues, 0xcc9f4d54, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queues, 0x57827c4c, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queues, 0x5786e9f2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x31ba60f0, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x84823ab1, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x27824012, "dma_unmap_page_attrs" },
	{ 0xe9c9802d, "request_firmware" },
	{ 0xd4b4f5da, "led_classdev_suspend" },
	{ 0xe8ec57f3, "hrtimer_init" },
	{ 0x24e91020, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa7c1e3c6, "pcpu_hot" },
	{ 0x37bcba33, "led_classdev_unregister" },
	{ 0x70252cbe, "ieee80211_register_hw" },
	{ 0x668f03d6, "__ieee80211_create_tpt_led_trigger" },
	{ 0x54df44ed, "ieee80211_get_hdrlen_from_skb" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x9241cae5, "ieee80211_wake_queue" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xd2a0fa54, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1094c1fd, "dev_driver_string" },
	{ 0xb879cb34, "ieee80211_tx_status_skb" },
	{ 0x3ecb772, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x9a765dcc, "dma_map_page_attrs" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7e18316d, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xd1eef2ee, "ieee80211_queue_delayed_work" },
	{ 0x24ecb702, "_dev_err" },
	{ 0xccdab13c, "ieee80211_ctstoself_get" },
	{ 0xf7fe3251, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xde954996, "skb_push" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1d1f5806, "ieee80211_free_txskb" },
	{ 0x62187cb2, "led_classdev_register_ext" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x489dc378, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9c38dd8f, "ieee80211_stop_queue" },
	{ 0x49915a4e, "__netdev_alloc_skb" },
	{ 0x51964b94, "ieee80211_stop_queues" },
	{ 0xc4020d8f, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd75eef0, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xda754a19, "wiphy_rfkill_start_polling" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3561e5d5, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfd0131c5, "led_classdev_resume" },
	{ 0x6493db2a, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa5638ded, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xffe8c4d0, "ieee80211_rts_get" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x6ea6c1ed, "hrtimer_cancel" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xcad0d60, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x48cff0ab, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x67f1b31c, "dev_kfree_skb_any_reason" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe33f92fe, "kmalloc_caches" },
	{ 0x34e5d722, "ieee80211_rx_napi" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcb8d961d, "ieee80211_iterate_interfaces" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "E45600D49323125F9786FF0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
