#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_conn_queue_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_queue_recv, "_gpl", "");
KSYMTAB_FUNC(iscsi_update_cmdsn, "_gpl", "");
KSYMTAB_FUNC(iscsi_prep_data_out_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_task, "_gpl", "");
KSYMTAB_FUNC(__iscsi_put_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_complete_scsi_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_send_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_itt_to_task, "_gpl", "");
KSYMTAB_FUNC(__iscsi_complete_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_complete_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_verify_itt, "_gpl", "");
KSYMTAB_FUNC(iscsi_itt_to_ctask, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_failure, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_failure, "_gpl", "");
KSYMTAB_FUNC(iscsi_requeue_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_queuecommand, "_gpl", "");
KSYMTAB_FUNC(iscsi_target_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_queue, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_tx, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_rx, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_cmd_timed_out, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_unbind, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_abort, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_device_reset, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_recovery_timedout, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_session_reset, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_recover_target, "_gpl", "");
KSYMTAB_FUNC(iscsi_pool_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_pool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_get_max_scsi_cmds, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_add, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_remove, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_remove, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_start, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_stop, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_bind, "_gpl", "");
KSYMTAB_FUNC(iscsi_switch_str_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_set_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_get_addr_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_set_param, "_gpl", "");

SYMBOL_CRC(iscsi_conn_queue_xmit, 0x43bf9b23, "_gpl");
SYMBOL_CRC(iscsi_conn_queue_recv, 0x98b31ae9, "_gpl");
SYMBOL_CRC(iscsi_update_cmdsn, 0x36815470, "_gpl");
SYMBOL_CRC(iscsi_prep_data_out_pdu, 0x6e9f94fd, "_gpl");
SYMBOL_CRC(iscsi_get_task, 0x24a3d68e, "_gpl");
SYMBOL_CRC(__iscsi_put_task, 0x48681a1d, "_gpl");
SYMBOL_CRC(iscsi_put_task, 0xdb8be68f, "_gpl");
SYMBOL_CRC(iscsi_complete_scsi_task, 0x949334ca, "_gpl");
SYMBOL_CRC(iscsi_conn_send_pdu, 0x10ccedf6, "_gpl");
SYMBOL_CRC(iscsi_itt_to_task, 0x92138681, "_gpl");
SYMBOL_CRC(__iscsi_complete_pdu, 0x4eff4488, "_gpl");
SYMBOL_CRC(iscsi_complete_pdu, 0x1fecd4dc, "_gpl");
SYMBOL_CRC(iscsi_verify_itt, 0xbe0eeaa3, "_gpl");
SYMBOL_CRC(iscsi_itt_to_ctask, 0xb65325f5, "_gpl");
SYMBOL_CRC(iscsi_session_failure, 0x39faa3d6, "_gpl");
SYMBOL_CRC(iscsi_conn_failure, 0x17efd651, "_gpl");
SYMBOL_CRC(iscsi_requeue_task, 0x9611397e, "_gpl");
SYMBOL_CRC(iscsi_queuecommand, 0x18fcc391, "_gpl");
SYMBOL_CRC(iscsi_target_alloc, 0x291d9d07, "_gpl");
SYMBOL_CRC(iscsi_suspend_queue, 0x7a6b502b, "_gpl");
SYMBOL_CRC(iscsi_suspend_tx, 0x0810812e, "_gpl");
SYMBOL_CRC(iscsi_suspend_rx, 0x2ca9c6b5, "_gpl");
SYMBOL_CRC(iscsi_eh_cmd_timed_out, 0xecbbd019, "_gpl");
SYMBOL_CRC(iscsi_conn_unbind, 0x0abb2f32, "_gpl");
SYMBOL_CRC(iscsi_eh_abort, 0x9ba62c08, "_gpl");
SYMBOL_CRC(iscsi_eh_device_reset, 0x91886cae, "_gpl");
SYMBOL_CRC(iscsi_session_recovery_timedout, 0xa97f5102, "_gpl");
SYMBOL_CRC(iscsi_eh_session_reset, 0xb6dba9ba, "_gpl");
SYMBOL_CRC(iscsi_eh_recover_target, 0x5a0e1e35, "_gpl");
SYMBOL_CRC(iscsi_pool_init, 0x3bef2f73, "_gpl");
SYMBOL_CRC(iscsi_pool_free, 0x8d303b1b, "_gpl");
SYMBOL_CRC(iscsi_host_get_max_scsi_cmds, 0x4e823149, "_gpl");
SYMBOL_CRC(iscsi_host_add, 0x96c09e39, "_gpl");
SYMBOL_CRC(iscsi_host_alloc, 0x5a5b91b0, "_gpl");
SYMBOL_CRC(iscsi_host_remove, 0xb110c6bc, "_gpl");
SYMBOL_CRC(iscsi_host_free, 0x1d20eff8, "_gpl");
SYMBOL_CRC(iscsi_session_setup, 0x8e500799, "_gpl");
SYMBOL_CRC(iscsi_session_remove, 0xb146b97b, "_gpl");
SYMBOL_CRC(iscsi_session_free, 0x9ca9a2bc, "_gpl");
SYMBOL_CRC(iscsi_session_teardown, 0xae311f35, "_gpl");
SYMBOL_CRC(iscsi_conn_setup, 0xa92c3d96, "_gpl");
SYMBOL_CRC(iscsi_conn_teardown, 0x9e103cbe, "_gpl");
SYMBOL_CRC(iscsi_conn_start, 0xdda0f226, "_gpl");
SYMBOL_CRC(iscsi_conn_stop, 0x07ac7cdf, "_gpl");
SYMBOL_CRC(iscsi_conn_bind, 0xa48bce79, "_gpl");
SYMBOL_CRC(iscsi_switch_str_param, 0x12b2ad06, "_gpl");
SYMBOL_CRC(iscsi_set_param, 0xc9a7ad84, "_gpl");
SYMBOL_CRC(iscsi_session_get_param, 0xc603fecc, "_gpl");
SYMBOL_CRC(iscsi_conn_get_addr_param, 0xeab9cbd5, "_gpl");
SYMBOL_CRC(iscsi_conn_get_param, 0x66231482, "_gpl");
SYMBOL_CRC(iscsi_host_get_param, 0xc03d3794, "_gpl");
SYMBOL_CRC(iscsi_host_set_param, 0x6cd6ea34, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe4967dc5, "_dev_printk" },
	{ 0x5380e91d, "iscsi_dbg_trace" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xeaf47743, "scsi_done" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x37a0cba, "kfree" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x92997ed8, "_printk" },
	{ 0x9e41cdc0, "scsi_add_host_with_dma" },
	{ 0x769d1a94, "scsi_host_alloc" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7834701a, "scsi_host_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x389d2a19, "scsi_host_get" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x7ff6203, "iscsi_remove_session" },
	{ 0xa81106d0, "iscsi_alloc_conn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x62b1d0f5, "iscsi_add_conn" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa71a7784, "iscsi_put_conn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb247c3d3, "iscsi_unblock_session" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xeff7171d, "__tracepoint_iscsi_dbg_session" },
	{ 0xa7c1e3c6, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x52575134, "__SCT__tp_func_iscsi_dbg_session" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1b31c517, "iscsi_conn_error_event" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x684d3862, "__tracepoint_iscsi_dbg_eh" },
	{ 0xf7e749fb, "__SCT__tp_func_iscsi_dbg_eh" },
	{ 0x9693c03b, "__tracepoint_iscsi_dbg_conn" },
	{ 0x15dc8bab, "__SCT__tp_func_iscsi_dbg_conn" },
	{ 0x8ad0cf7, "iscsi_recv_pdu" },
	{ 0xeb85aa48, "iscsi_host_for_each_session" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5f0ee048, "const_pcpu_hot" },
	{ 0x30a8b61c, "scsi_remove_host" },
	{ 0xd0da0860, "iscsi_force_destroy_session" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xd9d363e3, "flush_signals" },
	{ 0xe00cedab, "scsi_build_sense" },
	{ 0x818416e1, "scsi_set_sense_information" },
	{ 0x24d273d1, "add_timer" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xef140a80, "iscsi_free_session" },
	{ 0x9eab6125, "module_put" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x41b36abd, "iscsi_session_chkready" },
	{ 0xf7370f56, "system_state" },
	{ 0x35f97d52, "iscsi_alloc_session" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xd5121126, "try_module_get" },
	{ 0x6a82a7c2, "iscsi_add_session" },
	{ 0xdf26e41d, "iscsi_remove_conn" },
	{ 0x7c6f499c, "iscsi_get_conn" },
	{ 0x73adb0af, "iscsi_block_session" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa48e05c4, "param_ops_int" },
	{ 0x5ae55b9d, "__SCK__tp_func_iscsi_dbg_eh" },
	{ 0x361bd0d5, "__SCK__tp_func_iscsi_dbg_session" },
	{ 0xd10c3f03, "__SCK__tp_func_iscsi_dbg_conn" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,scsi_mod,scsi_common");


MODULE_INFO(srcversion, "D2C8AD88B4623AE89808360");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
