#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_nfs_version, "_gpl", "");
KSYMTAB_FUNC(unregister_nfs_version, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_free_client, "_gpl", "");
KSYMTAB_FUNC(nfs_put_client, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_is_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_status, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_client_init_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_get_client, "_gpl", "");
KSYMTAB_FUNC(nfs_mark_client_ready, "_gpl", "");
KSYMTAB_FUNC(nfs_init_timeout_values, "_gpl", "");
KSYMTAB_FUNC(nfs_create_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_init_server_rpcclient, "_gpl", "");
KSYMTAB_FUNC(nfs_init_client, "_gpl", "");
KSYMTAB_FUNC(nfs_probe_server, "_gpl", "");
KSYMTAB_FUNC(nfs_server_copy_userdata, "_gpl", "");
KSYMTAB_FUNC(nfs_server_insert_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_server_remove_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_server, "_gpl", "");
KSYMTAB_FUNC(nfs_free_server, "_gpl", "");
KSYMTAB_FUNC(nfs_create_server, "_gpl", "");
KSYMTAB_FUNC(nfs_clone_server, "_gpl", "");
KSYMTAB_FUNC(nfs_force_lookup_revalidate, "_gpl", "");
KSYMTAB_FUNC(nfs_set_verifier, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_verifier_delegated, "_gpl", "");
KSYMTAB_DATA(nfs_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_lookup, "_gpl", "");
KSYMTAB_FUNC(nfs_d_prune_case_insensitive_aliases, "_gpl", "");
KSYMTAB_DATA(nfs4_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open, "_gpl", "");
KSYMTAB_FUNC(nfs_add_or_obtain, "_gpl", "");
KSYMTAB_FUNC(nfs_instantiate, "_gpl", "");
KSYMTAB_FUNC(nfs_create, "_gpl", "");
KSYMTAB_FUNC(nfs_mknod, "_gpl", "");
KSYMTAB_FUNC(nfs_mkdir, "_gpl", "");
KSYMTAB_FUNC(nfs_rmdir, "_gpl", "");
KSYMTAB_FUNC(nfs_unlink, "_gpl", "");
KSYMTAB_FUNC(nfs_symlink, "_gpl", "");
KSYMTAB_FUNC(nfs_link, "_gpl", "");
KSYMTAB_FUNC(nfs_rename, "_gpl", "");
KSYMTAB_FUNC(nfs_access_zap_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_get_cached, "_gpl", "");
KSYMTAB_FUNC(nfs_access_add_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_set_mask, "_gpl", "");
KSYMTAB_FUNC(nfs_may_open, "_gpl", "");
KSYMTAB_FUNC(nfs_permission, "_gpl", "");
KSYMTAB_FUNC(nfs_check_flags, "_gpl", "");
KSYMTAB_FUNC(nfs_file_release, "_gpl", "");
KSYMTAB_FUNC(nfs_file_llseek, "_gpl", "");
KSYMTAB_FUNC(nfs_file_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_splice_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_mmap, "_gpl", "");
KSYMTAB_FUNC(nfs_file_fsync, "_gpl", "");
KSYMTAB_FUNC(nfs_file_write, "_gpl", "");
KSYMTAB_FUNC(nfs_lock, "_gpl", "");
KSYMTAB_FUNC(nfs_flock, "_gpl", "");
KSYMTAB_DATA(nfs_file_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_bit_killable, "_gpl", "");
KSYMTAB_FUNC(nfs_drop_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_sync_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_check_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_set_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_zap_acl_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_invalidate_atime, "_gpl", "");
KSYMTAB_FUNC(nfs4_label_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_setsecurity, "_gpl", "");
KSYMTAB_FUNC(nfs_fhget, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_getattr, "_gpl", "");
KSYMTAB_FUNC(nfs_get_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_put_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_close_context, "_gpl", "");
KSYMTAB_FUNC(alloc_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(get_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(put_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_inode_attach_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_file_set_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_revalidate_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_inc_attr_generation_counter, "_gpl", "");
KSYMTAB_FUNC(nfs_fattr_init, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr_with_label, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fhandle, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle_hash, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle, "_gpl", "");
KSYMTAB_FUNC(nfs_refresh_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode_force_wcc, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_free_inode, "_gpl", "");
KSYMTAB_DATA(nfsiod_workqueue, "_gpl", "");
KSYMTAB_DATA(nfs_net_id, "_gpl", "");
KSYMTAB_DATA(nfs_sops, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_active, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_deactive, "_gpl", "");
KSYMTAB_FUNC(nfs_client_for_each_server, "_gpl", "");
KSYMTAB_FUNC(nfs_statfs, "_gpl", "");
KSYMTAB_FUNC(nfs_show_options, "_gpl", "");
KSYMTAB_FUNC(nfs_show_devname, "_gpl", "");
KSYMTAB_FUNC(nfs_show_path, "_gpl", "");
KSYMTAB_FUNC(nfs_show_stats, "_gpl", "");
KSYMTAB_FUNC(nfs_umount_begin, "_gpl", "");
KSYMTAB_FUNC(nfs_auth_info_match, "_gpl", "");
KSYMTAB_FUNC(nfs_try_get_tree, "_gpl", "");
KSYMTAB_FUNC(nfs_reconfigure, "_gpl", "");
KSYMTAB_FUNC(nfs_kill_super, "_gpl", "");
KSYMTAB_DATA(nfs_callback_nr_threads, "_gpl", "");
KSYMTAB_DATA(nfs_callback_set_tcpport, "_gpl", "");
KSYMTAB_DATA(nfs_idmap_cache_timeout, "_gpl", "");
KSYMTAB_DATA(nfs4_disable_idmapping, "_gpl", "");
KSYMTAB_DATA(max_session_slots, "_gpl", "");
KSYMTAB_DATA(max_session_cb_slots, "_gpl", "");
KSYMTAB_DATA(send_implementation_id, "_gpl", "");
KSYMTAB_DATA(nfs4_client_id_uniquifier, "_gpl", "");
KSYMTAB_DATA(recover_lost_locks, "_gpl", "");
KSYMTAB_DATA(nfs_delay_retrans, "_gpl", "");
KSYMTAB_FUNC(nfs_dreq_bytes_left, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_current_mirror, "_gpl", "");
KSYMTAB_FUNC(nfs_pgheader_init, "_gpl", "");
KSYMTAB_FUNC(nfs_async_iocounter_wait, "_gpl", "");
KSYMTAB_FUNC(nfs_release_request, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_on_request, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_free, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_resend, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_read, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_read_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_read_alloc_scratch, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_free, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list_locked, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_request_remove_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_init_cinfo, "_gpl", "");
KSYMTAB_FUNC(nfs_scan_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_write, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_write_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_writeback_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_release, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_init_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_retry_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_write_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_filemap_write_and_wait_range, "_gpl", "");
KSYMTAB_FUNC(nfs_wb_all, "_gpl", "");
KSYMTAB_FUNC(nfs_path, "_gpl", "");
KSYMTAB_FUNC(nfs_do_submount, "_gpl", "");
KSYMTAB_FUNC(nfs_submount, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_link_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_add_server, "_gpl", "");
KSYMTAB_DATA(nfs_fs_type, "_gpl", "");
KSYMTAB_DATA(nfs4_fs_type, "_gpl", "");
KSYMTAB_FUNC(nfs_fscache_open_file, "_gpl", "");

SYMBOL_CRC(register_nfs_version, 0xd448cf38, "_gpl");
SYMBOL_CRC(unregister_nfs_version, 0x430b56f3, "_gpl");
SYMBOL_CRC(nfs_alloc_client, 0xd53295b0, "_gpl");
SYMBOL_CRC(nfs_free_client, 0xa6d20ba3, "_gpl");
SYMBOL_CRC(nfs_put_client, 0x77e1fde3, "_gpl");
SYMBOL_CRC(nfs_client_init_is_complete, 0x793bf2c0, "_gpl");
SYMBOL_CRC(nfs_client_init_status, 0xa824659f, "_gpl");
SYMBOL_CRC(nfs_wait_client_init_complete, 0x78d178ae, "_gpl");
SYMBOL_CRC(nfs_get_client, 0xdea44bf9, "_gpl");
SYMBOL_CRC(nfs_mark_client_ready, 0x0656cc01, "_gpl");
SYMBOL_CRC(nfs_init_timeout_values, 0x98b0ece8, "_gpl");
SYMBOL_CRC(nfs_create_rpc_client, 0x41358673, "_gpl");
SYMBOL_CRC(nfs_init_server_rpcclient, 0x282e7849, "_gpl");
SYMBOL_CRC(nfs_init_client, 0x291b0d60, "_gpl");
SYMBOL_CRC(nfs_probe_server, 0xe7ed4ce5, "_gpl");
SYMBOL_CRC(nfs_server_copy_userdata, 0x4666f3af, "_gpl");
SYMBOL_CRC(nfs_server_insert_lists, 0xdf81f10b, "_gpl");
SYMBOL_CRC(nfs_server_remove_lists, 0xf508bb6a, "_gpl");
SYMBOL_CRC(nfs_alloc_server, 0xa773d0f4, "_gpl");
SYMBOL_CRC(nfs_free_server, 0x25b8c712, "_gpl");
SYMBOL_CRC(nfs_create_server, 0x5eb5e5b2, "_gpl");
SYMBOL_CRC(nfs_clone_server, 0x32ad210a, "_gpl");
SYMBOL_CRC(nfs_force_lookup_revalidate, 0xefafad22, "_gpl");
SYMBOL_CRC(nfs_set_verifier, 0x1f53e7e0, "_gpl");
SYMBOL_CRC(nfs_clear_verifier_delegated, 0xeaed7642, "_gpl");
SYMBOL_CRC(nfs_dentry_operations, 0x54b86cbd, "_gpl");
SYMBOL_CRC(nfs_lookup, 0x433a5096, "_gpl");
SYMBOL_CRC(nfs_d_prune_case_insensitive_aliases, 0xce8c0cff, "_gpl");
SYMBOL_CRC(nfs4_dentry_operations, 0x02b503b9, "_gpl");
SYMBOL_CRC(nfs_atomic_open, 0x0f93ae58, "_gpl");
SYMBOL_CRC(nfs_add_or_obtain, 0xff96eec7, "_gpl");
SYMBOL_CRC(nfs_instantiate, 0x8b98b1db, "_gpl");
SYMBOL_CRC(nfs_create, 0x4e93e2e2, "_gpl");
SYMBOL_CRC(nfs_mknod, 0xdc577cf7, "_gpl");
SYMBOL_CRC(nfs_mkdir, 0xaa48c2ad, "_gpl");
SYMBOL_CRC(nfs_rmdir, 0xb550c680, "_gpl");
SYMBOL_CRC(nfs_unlink, 0x40483fda, "_gpl");
SYMBOL_CRC(nfs_symlink, 0xdc384620, "_gpl");
SYMBOL_CRC(nfs_link, 0x23848d64, "_gpl");
SYMBOL_CRC(nfs_rename, 0x4b14a7bc, "_gpl");
SYMBOL_CRC(nfs_access_zap_cache, 0xc501709a, "_gpl");
SYMBOL_CRC(nfs_access_get_cached, 0xbf4761cb, "_gpl");
SYMBOL_CRC(nfs_access_add_cache, 0x9c026baf, "_gpl");
SYMBOL_CRC(nfs_access_set_mask, 0x08e162a8, "_gpl");
SYMBOL_CRC(nfs_may_open, 0x7507decd, "_gpl");
SYMBOL_CRC(nfs_permission, 0x918e05ff, "_gpl");
SYMBOL_CRC(nfs_check_flags, 0x3f2690f2, "_gpl");
SYMBOL_CRC(nfs_file_release, 0x07edcb83, "_gpl");
SYMBOL_CRC(nfs_file_llseek, 0xb1315dfb, "_gpl");
SYMBOL_CRC(nfs_file_read, 0x737d1e96, "_gpl");
SYMBOL_CRC(nfs_file_splice_read, 0x5ff43812, "_gpl");
SYMBOL_CRC(nfs_file_mmap, 0x090a85dd, "_gpl");
SYMBOL_CRC(nfs_file_fsync, 0x1ecf1440, "_gpl");
SYMBOL_CRC(nfs_file_write, 0xb056839d, "_gpl");
SYMBOL_CRC(nfs_lock, 0x2b810386, "_gpl");
SYMBOL_CRC(nfs_flock, 0xdf299cbd, "_gpl");
SYMBOL_CRC(nfs_file_operations, 0xc02dec51, "_gpl");
SYMBOL_CRC(nfs_wait_bit_killable, 0x40739385, "_gpl");
SYMBOL_CRC(nfs_drop_inode, 0xa7ddbe8b, "_gpl");
SYMBOL_CRC(nfs_clear_inode, 0x543f9731, "_gpl");
SYMBOL_CRC(nfs_sync_inode, 0x6688914b, "_gpl");
SYMBOL_CRC(nfs_check_cache_invalid, 0x916117e5, "_gpl");
SYMBOL_CRC(nfs_set_cache_invalid, 0x8d789acc, "_gpl");
SYMBOL_CRC(nfs_zap_acl_cache, 0x0f01fa0e, "_gpl");
SYMBOL_CRC(nfs_invalidate_atime, 0xd4f8f2e9, "_gpl");
SYMBOL_CRC(nfs4_label_alloc, 0xc9075154, "_gpl");
SYMBOL_CRC(nfs_setsecurity, 0xd16131a6, "_gpl");
SYMBOL_CRC(nfs_fhget, 0xa0670f56, "_gpl");
SYMBOL_CRC(nfs_setattr, 0x3fb0e4e4, "_gpl");
SYMBOL_CRC(nfs_setattr_update_inode, 0x50b88e50, "_gpl");
SYMBOL_CRC(nfs_getattr, 0xbd8a4d54, "_gpl");
SYMBOL_CRC(nfs_get_lock_context, 0x4c303217, "_gpl");
SYMBOL_CRC(nfs_put_lock_context, 0x4fb6ac97, "_gpl");
SYMBOL_CRC(nfs_close_context, 0x59a7fd35, "_gpl");
SYMBOL_CRC(alloc_nfs_open_context, 0xb65c1613, "_gpl");
SYMBOL_CRC(get_nfs_open_context, 0x6b7a508e, "_gpl");
SYMBOL_CRC(put_nfs_open_context, 0x79f551aa, "_gpl");
SYMBOL_CRC(nfs_inode_attach_open_context, 0x469c2ffc, "_gpl");
SYMBOL_CRC(nfs_file_set_open_context, 0x6ac845a2, "_gpl");
SYMBOL_CRC(nfs_revalidate_inode, 0x76d9c0ac, "_gpl");
SYMBOL_CRC(nfs_inc_attr_generation_counter, 0x584b8482, "_gpl");
SYMBOL_CRC(nfs_fattr_init, 0xa05ca625, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr, 0x832e8f0b, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr_with_label, 0x5e003e8f, "_gpl");
SYMBOL_CRC(nfs_alloc_fhandle, 0x26884ff7, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle_hash, 0x22d795a8, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle, 0xfc619abd, "_gpl");
SYMBOL_CRC(nfs_refresh_inode, 0xa540415e, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode, 0xbbe13d1c, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode_force_wcc, 0x92dc3516, "_gpl");
SYMBOL_CRC(nfs_alloc_inode, 0x64a4c422, "_gpl");
SYMBOL_CRC(nfs_free_inode, 0xffd07e1d, "_gpl");
SYMBOL_CRC(nfsiod_workqueue, 0x90a5530f, "_gpl");
SYMBOL_CRC(nfs_net_id, 0xc3a2be67, "_gpl");
SYMBOL_CRC(nfs_sops, 0xc8a1550b, "_gpl");
SYMBOL_CRC(nfs_sb_active, 0xc2c515d2, "_gpl");
SYMBOL_CRC(nfs_sb_deactive, 0xc6373953, "_gpl");
SYMBOL_CRC(nfs_client_for_each_server, 0x02d8a72e, "_gpl");
SYMBOL_CRC(nfs_statfs, 0xf848467b, "_gpl");
SYMBOL_CRC(nfs_show_options, 0x6ababd2b, "_gpl");
SYMBOL_CRC(nfs_show_devname, 0x1887bb14, "_gpl");
SYMBOL_CRC(nfs_show_path, 0x55178539, "_gpl");
SYMBOL_CRC(nfs_show_stats, 0x482fa73a, "_gpl");
SYMBOL_CRC(nfs_umount_begin, 0x9ce3ec86, "_gpl");
SYMBOL_CRC(nfs_auth_info_match, 0x10962bc2, "_gpl");
SYMBOL_CRC(nfs_try_get_tree, 0xaa823177, "_gpl");
SYMBOL_CRC(nfs_reconfigure, 0x7fab77dc, "_gpl");
SYMBOL_CRC(nfs_kill_super, 0xd2b76e45, "_gpl");
SYMBOL_CRC(nfs_callback_nr_threads, 0x0294c6a2, "_gpl");
SYMBOL_CRC(nfs_callback_set_tcpport, 0x51892d61, "_gpl");
SYMBOL_CRC(nfs_idmap_cache_timeout, 0x39e05ac3, "_gpl");
SYMBOL_CRC(nfs4_disable_idmapping, 0xdae9b5d7, "_gpl");
SYMBOL_CRC(max_session_slots, 0x91d1fe52, "_gpl");
SYMBOL_CRC(max_session_cb_slots, 0xaafd4acc, "_gpl");
SYMBOL_CRC(send_implementation_id, 0xa8e9e1ae, "_gpl");
SYMBOL_CRC(nfs4_client_id_uniquifier, 0x42f2c81f, "_gpl");
SYMBOL_CRC(recover_lost_locks, 0x4cb9e001, "_gpl");
SYMBOL_CRC(nfs_delay_retrans, 0xefa414fb, "_gpl");
SYMBOL_CRC(nfs_dreq_bytes_left, 0xa18abc84, "_gpl");
SYMBOL_CRC(nfs_pgio_current_mirror, 0x3ff4eed4, "_gpl");
SYMBOL_CRC(nfs_pgheader_init, 0x9530db2e, "_gpl");
SYMBOL_CRC(nfs_async_iocounter_wait, 0xba50eee1, "_gpl");
SYMBOL_CRC(nfs_release_request, 0x8bfc8f1d, "_gpl");
SYMBOL_CRC(nfs_wait_on_request, 0x8b745639, "_gpl");
SYMBOL_CRC(nfs_generic_pg_test, 0xc14f4ef6, "_gpl");
SYMBOL_CRC(nfs_pgio_header_alloc, 0x881daea2, "_gpl");
SYMBOL_CRC(nfs_pgio_header_free, 0x5414a79f, "_gpl");
SYMBOL_CRC(nfs_initiate_pgio, 0x5bfb8528, "_gpl");
SYMBOL_CRC(nfs_generic_pgio, 0x068ec009, "_gpl");
SYMBOL_CRC(nfs_pageio_resend, 0xf63aa15d, "_gpl");
SYMBOL_CRC(nfs_pageio_init_read, 0xb2a21fdc, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_read_mds, 0x69e764da, "_gpl");
SYMBOL_CRC(nfs_read_alloc_scratch, 0x7ab4283a, "_gpl");
SYMBOL_CRC(nfs_commitdata_alloc, 0x3a77ae03, "_gpl");
SYMBOL_CRC(nfs_commit_free, 0x4dea9aa5, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list_locked, 0xbd6f77d7, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list, 0xf757ad0c, "_gpl");
SYMBOL_CRC(nfs_request_remove_commit_list, 0x81e17feb, "_gpl");
SYMBOL_CRC(nfs_init_cinfo, 0xd3c1df55, "_gpl");
SYMBOL_CRC(nfs_scan_commit_list, 0x868f234e, "_gpl");
SYMBOL_CRC(nfs_pageio_init_write, 0x1b161566, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_write_mds, 0x420ff9c7, "_gpl");
SYMBOL_CRC(nfs_writeback_update_inode, 0xcd014901, "_gpl");
SYMBOL_CRC(nfs_commitdata_release, 0x177e171b, "_gpl");
SYMBOL_CRC(nfs_initiate_commit, 0xba057904, "_gpl");
SYMBOL_CRC(nfs_init_commit, 0xafa76bec, "_gpl");
SYMBOL_CRC(nfs_retry_commit, 0x80e93e53, "_gpl");
SYMBOL_CRC(nfs_commit_inode, 0x200b4d30, "_gpl");
SYMBOL_CRC(nfs_write_inode, 0x29c170d0, "_gpl");
SYMBOL_CRC(nfs_filemap_write_and_wait_range, 0xeb5aa78f, "_gpl");
SYMBOL_CRC(nfs_wb_all, 0x485f4c36, "_gpl");
SYMBOL_CRC(nfs_path, 0x5dc40744, "_gpl");
SYMBOL_CRC(nfs_do_submount, 0xc4bc114c, "_gpl");
SYMBOL_CRC(nfs_submount, 0x00976f09, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_enter, 0x4e70dd19, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_enter, 0xe68ef61c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_enter, 0x16edce3f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_fsync_enter, 0xfd3c0de6, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_exit, 0xcc04164c, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_exit, 0xebebd582, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_exit, 0x395b2171, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_fsync_exit, 0x9d919c44, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_status, 0xd15a12be, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_status, 0xfa06af3e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_status, 0x24052583, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_xdr_status, 0xfeb42418, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_bad_filehandle, 0x0830266c, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_bad_filehandle, 0x07dc19a9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_bad_filehandle, 0x06309e13, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_xdr_bad_filehandle, 0x37239e6d, "_gpl");
SYMBOL_CRC(nfs_sysfs_link_rpc_client, 0xc1fe22d9, "_gpl");
SYMBOL_CRC(nfs_sysfs_add_server, 0x16619efb, "_gpl");
SYMBOL_CRC(nfs_fs_type, 0x42df01a6, "_gpl");
SYMBOL_CRC(nfs4_fs_type, 0x3e585725, "_gpl");
SYMBOL_CRC(nfs_fscache_open_file, 0xa09de6c3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5e95b1cd, "current_umask" },
	{ 0x5ff628de, "add_swap_extent" },
	{ 0x144d5c37, "fs_param_is_u32" },
	{ 0x47aee6a2, "inode_newsize_ok" },
	{ 0x8605e2c6, "d_drop" },
	{ 0x325304c, "deactivate_super" },
	{ 0x74d9248b, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xf7dc92ae, "mempool_create" },
	{ 0x1000e51, "schedule" },
	{ 0xa84f234c, "security_sb_mnt_opts_compat" },
	{ 0x3090e2e8, "param_get_uint" },
	{ 0xcf93e8ed, "vfs_parse_fs_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd5a0542e, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xcea3276, "make_kuid" },
	{ 0x872bbf91, "truncate_inode_pages_final" },
	{ 0x988f42ac, "d_alloc" },
	{ 0x3b5ccc8, "fs_kobj" },
	{ 0x81191cf3, "net_ns_type_operations" },
	{ 0x5e29fd0f, "__filemap_set_wb_err" },
	{ 0xbbf5a75, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x9b03b877, "generic_perform_write" },
	{ 0xc9c030df, "shrinker_register" },
	{ 0x8fbd6791, "__filemap_get_folio" },
	{ 0x4ccdacd6, "mempool_alloc" },
	{ 0x5f0ee048, "const_pcpu_hot" },
	{ 0x34d9bdde, "simple_nosetlease" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xed69d897, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x9eab6125, "module_put" },
	{ 0x3be2539f, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x118be82, "rpc_setbufsize" },
	{ 0x22a104dd, "fs_context_for_submount" },
	{ 0xad79d6b4, "inode_init_once" },
	{ 0x82a087f8, "folio_wait_private_2" },
	{ 0xe4b17db6, "file_write_and_wait_range" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x44fb4851, "__fscache_relinquish_volume" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x5c581540, "seq_escape_mem" },
	{ 0x45ee3aff, "ilookup5" },
	{ 0xbb29f63c, "generic_parse_monolithic" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3d785766, "inode_nohighmem" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x23f034f8, "perf_trace_run_bpf_submit" },
	{ 0x110258b6, "security_d_instantiate" },
	{ 0xb7d14ec7, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xeed7fd81, "up_write" },
	{ 0xc19ba61a, "generic_file_read_iter" },
	{ 0x10638667, "rpc_clone_client_set_auth" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa07a37f0, "memchr" },
	{ 0xfdad3064, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8fa3ac4b, "put_fs_context" },
	{ 0xa74a7027, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe53797c0, "kobj_sysfs_ops" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0xe1280549, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xf42fe640, "write_cache_pages" },
	{ 0x235c8f19, "set_nlink" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9ecef473, "kmem_cache_free" },
	{ 0x554ced5d, "rpc_max_payload" },
	{ 0x73fdc495, "folio_alloc" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xa30b381d, "d_move" },
	{ 0xdf12c9b5, "seq_putc" },
	{ 0x43c314cb, "rpc_proc_unregister" },
	{ 0xf5a9f9f6, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xab4cd22c, "vfs_create_mount" },
	{ 0x64db9a5, "mark_mounts_for_expiry" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x1721538a, "folio_wait_writeback" },
	{ 0x6573f300, "ida_free" },
	{ 0x3d412792, "nlmclnt_rpc_clnt" },
	{ 0x532b896b, "rpc_clnt_swap_activate" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0x461f317d, "kobject_init_and_add" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x572bfba9, "write_inode_now" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd23838ca, "d_obtain_alias" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd472c72d, "wait_for_completion_killable" },
	{ 0x20121879, "rpc_create" },
	{ 0x679b1fd7, "finish_no_open" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x5a0838ca, "__folio_start_writeback" },
	{ 0xe54817ad, "d_obtain_root" },
	{ 0xc9a5a52f, "bpf_trace_run1" },
	{ 0x2b353293, "param_ops_short" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x6c808e3a, "folio_end_writeback" },
	{ 0xeac25c95, "rpc_call_sync" },
	{ 0xa20bda0a, "proc_mkdir" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x93510559, "rpc_put_task_async" },
	{ 0x541eacd, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xe8b20d94, "xdr_init_decode_pages" },
	{ 0x39d9a400, "register_sysctl_sz" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x86d52ba5, "lookup_constant" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xef95dae, "rpc_exit" },
	{ 0xf7658c7e, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xd09e8ff2, "d_delete" },
	{ 0x45b486a0, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x55ee74bc, "nfs_ssc_unregister" },
	{ 0xc2ab1a99, "rpc_killall_tasks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeddd417, "down_read" },
	{ 0xef90c4d1, "xdr_reserve_space" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbf4d1111, "iov_iter_get_pages_alloc2" },
	{ 0xaa8ba0f3, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x154f4479, "bpf_trace_run3" },
	{ 0x50a90dd4, "__put_net" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x3f41b6ed, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8be95728, "generic_read_dir" },
	{ 0x9f4b76c7, "kobject_del" },
	{ 0x7795e84d, "trace_event_buffer_reserve" },
	{ 0x9410e0cb, "d_add" },
	{ 0x2854fa8f, "rename_lock" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x3c50ca67, "filemap_fdatawait_range" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0xf6125d05, "param_ops_bool" },
	{ 0x5f4a905c, "groups_free" },
	{ 0x9da23b43, "security_inode_notifysecctx" },
	{ 0x6ecc424a, "nfs_ssc_register" },
	{ 0xf67c81b7, "init_user_ns" },
	{ 0xf5d073e8, "xa_find" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x3f63a992, "invalidate_inode_pages2" },
	{ 0xeb644735, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xf4198220, "mempool_destroy" },
	{ 0x11fcf8be, "__folio_put" },
	{ 0x2bdfe54c, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x561751cb, "seq_printf" },
	{ 0x3bf6ba16, "dput" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0xbc983b61, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7d61ec2c, "deactivate_locked_super" },
	{ 0x23e61bd4, "put_rpccred" },
	{ 0x1fbe0019, "__percpu_down_read" },
	{ 0x485215a2, "__d_lookup_unhash_wake" },
	{ 0xf67f979d, "rpc_clnt_swap_deactivate" },
	{ 0xafee4f96, "kobject_uevent" },
	{ 0x8c8cf8fc, "__fscache_invalidate" },
	{ 0xcfa4a4b0, "folio_mapping" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xf2301826, "downgrade_write" },
	{ 0x18bdacb6, "cred_fscmp" },
	{ 0x58c7fbdd, "__folio_lock" },
	{ 0xd95c9187, "filemap_dirty_folio" },
	{ 0x15da77a5, "pagecache_get_page" },
	{ 0xdf260eeb, "is_bad_inode" },
	{ 0xdc923ff7, "proc_dointvec" },
	{ 0x1be8b942, "seq_puts" },
	{ 0x680b8797, "__fscache_use_cookie" },
	{ 0x76725b5f, "rcuwait_wake_up" },
	{ 0x9a399dcc, "_proc_mkdir" },
	{ 0xa3643a0b, "node_data" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x341851a8, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xbdbf083e, "__fs_parse" },
	{ 0x79c446e3, "sysfs_create_link_nowarn" },
	{ 0xa70d4175, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe3837cd, "dget_parent" },
	{ 0xf00ad17c, "nlmclnt_init" },
	{ 0x67ffb129, "kill_anon_super" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0xcad0d60, "kmalloc_trace" },
	{ 0x9e52e9c5, "iget5_locked" },
	{ 0x3c01ff3c, "filemap_write_and_wait_range" },
	{ 0x13ef1dd8, "kset_register" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe5eb6aed, "nlmclnt_done" },
	{ 0x754d539c, "strlen" },
	{ 0x75d22758, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xa48e05c4, "param_ops_int" },
	{ 0x311a6785, "netfs_subreq_terminated" },
	{ 0x51f7b586, "refcount_dec_and_lock" },
	{ 0x5c0d69ec, "iov_iter_revert" },
	{ 0xdf557273, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5656ee0f, "mntget" },
	{ 0xa0efe263, "setattr_should_drop_sgid" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xab9d5284, "kmem_cache_alloc_lru" },
	{ 0x8b856ef8, "filemap_fault" },
	{ 0xf5ef9b1c, "d_invalidate" },
	{ 0x6bac0343, "__mark_inode_dirty" },
	{ 0xa76b7931, "generic_file_llseek" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x48f1e305, "folio_wait_private_2_killable" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0xbb53856b, "up_read" },
	{ 0x511635cc, "rpc_wait_for_completion_task" },
	{ 0xacb75019, "set_anon_super" },
	{ 0x90b4fd7e, "drop_nlink" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe33f92fe, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x80f22eb3, "kmem_cache_destroy" },
	{ 0xa261f682, "__fscache_acquire_cookie" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcd99cfb6, "kobject_put" },
	{ 0x64095cc, "vfs_get_tree" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x4c673613, "rpc_put_task" },
	{ 0xcf09eda1, "super_setup_bdi_name" },
	{ 0x672f0875, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x914954e4, "__page_file_index" },
	{ 0x80ca9417, "generic_fillattr" },
	{ 0xabb39e9f, "vfs_fsync_range" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x97c3426a, "shrinker_alloc" },
	{ 0xe732bad2, "clear_nlink" },
	{ 0x36d3d615, "file_check_and_advance_wb_err" },
	{ 0xd5121126, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1a1043f, "d_alloc_parallel" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe5fd181f, "clear_inode" },
	{ 0xc5a24ae2, "inode_to_bdi" },
	{ 0x364563ee, "bpf_trace_run4" },
	{ 0x1b6e37ab, "__fscache_acquire_volume" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x7c3f6cc8, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd3eaa6f0, "proc_dointvec_jiffies" },
	{ 0x75860fa4, "rpc_proc_register" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x419f54ae, "sysfs_create_file_ns" },
	{ 0xe9738760, "rpc_shutdown_client" },
	{ 0x5cff7ef4, "fs_param_is_string" },
	{ 0xde0d8b77, "folio_unlock" },
	{ 0x88ced46a, "mnt_set_expiry" },
	{ 0x4089485b, "param_ops_ushort" },
	{ 0x31895e8c, "lookup_one_len" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xa805773e, "rpc_clnt_show_stats" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x6bcbfbd4, "filemap_map_pages" },
	{ 0x5da13904, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x210dd3f5, "trace_raw_output_prep" },
	{ 0xdc2b8176, "kobject_rename" },
	{ 0x4778434f, "security_sb_set_mnt_opts" },
	{ 0x68ec5465, "init_special_inode" },
	{ 0x2abe243c, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x6116d3c0, "generic_error_remove_folio" },
	{ 0x47829a74, "__trace_trigger_soft_disabled" },
	{ 0x39eb90cb, "filemap_fdatawrite_range" },
	{ 0xfcd11f9b, "folio_wait_bit_killable" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x8c003bcb, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x7ba427ce, "d_make_root" },
	{ 0x7a301ae4, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x170cf1d4, "sync_filesystem" },
	{ 0xd3397fe4, "__fscache_unuse_cookie" },
	{ 0xe4820267, "folio_redirty_for_writepage" },
	{ 0xff1fc530, "sget_fc" },
	{ 0x716b60f, "d_splice_alias" },
	{ 0xb35c5ee5, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x76376f76, "unmap_mapping_range" },
	{ 0x7e2beb91, "ihold" },
	{ 0xcc2c8974, "inode_dio_wait" },
	{ 0x6172156, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0xad9a1d49, "invalidate_inode_pages2_range" },
	{ 0xa8fbb86e, "read_cache_page" },
	{ 0xa5d627e5, "finish_open" },
	{ 0x930ec716, "iput" },
	{ 0xf7f82b5, "kset_unregister" },
	{ 0xa7c1e3c6, "pcpu_hot" },
	{ 0xaeb89203, "security_sb_clone_mnt_opts" },
	{ 0x3840cde6, "fs_param_is_enum" },
	{ 0x3ef81d5e, "logfc" },
	{ 0x67e99461, "__put_devmap_managed_page_refs" },
	{ 0xff7c6bb0, "iter_file_splice_write" },
	{ 0xba5e4ae2, "rpc_pton" },
	{ 0x5b7c9298, "mod_node_page_state" },
	{ 0x120f96a9, "rpc_wake_up_queued_task" },
	{ 0x51a78af3, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x90d57350, "remove_proc_subtree" },
	{ 0x46e1608b, "rpc_restart_call_prepare" },
	{ 0x8153158e, "d_lookup" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x5669320a, "__module_get" },
	{ 0x9c509f12, "__fscache_relinquish_cookie" },
	{ 0x523f0f70, "register_filesystem" },
	{ 0xcbc1f2d2, "kmem_cache_create" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xcaddcf31, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xfebde058, "mempool_free" },
	{ 0xbd727d6b, "filemap_add_folio" },
	{ 0x6adf2a71, "rpc_sleep_on" },
	{ 0x97412ff, "rpc_run_task" },
	{ 0xb0fad8cd, "netfs_readahead" },
	{ 0x94dade3, "proc_create_net_data" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2408cc5d, "d_prune_aliases" },
	{ 0x4be0f1f1, "__put_cred" },
	{ 0x8f3a41f4, "register_pernet_subsys" },
	{ 0x45aa4116, "swapcache_mapping" },
	{ 0x4245bcc6, "rpc_cancel_tasks" },
	{ 0xc35971af, "shrinker_free" },
	{ 0x7e459010, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xca539d42, "migrate_folio" },
	{ 0xe52fceed, "locks_lock_inode_wait" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,netfs,lockd");


MODULE_INFO(srcversion, "9B73B4FEACEF39FC9EC8860");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
