#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x24f9a8d6, "mt76_write_mac_initvals" },
	{ 0xb807c7fb, "mt76x2_reset_wlan" },
	{ 0xfc6bd884, "mt76x2_mcu_set_channel" },
	{ 0xb3c77a4a, "mt76x02_mcu_set_radio_state" },
	{ 0xc69d0496, "mt76_wake_tx_queue" },
	{ 0x66f49f24, "mt76_get_antenna" },
	{ 0x20d015e3, "mt76x2_apply_gain_adj" },
	{ 0xeec5fce9, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc3a80e48, "mt76x02_sta_ps" },
	{ 0x99a46f8, "mt76x2_set_sar_specs" },
	{ 0x724f3fa6, "mt76u_resume_rx" },
	{ 0xd31f5a4, "mt76x02_sta_rate_tbl_update" },
	{ 0xd2a0fa54, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x27cbaf0e, "mt76_alloc_device" },
	{ 0xd74e996d, "mt76x02_mac_shared_key_setup" },
	{ 0x570d19ab, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c49446c, "mt76x2_mac_stop" },
	{ 0x6a201e8a, "usb_put_dev" },
	{ 0xe4d58958, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb78c50a6, "mt76x02_update_channel" },
	{ 0xedff7759, "mt76x2_configure_tx_delay" },
	{ 0xebfea8b3, "usb_get_dev" },
	{ 0x7e18316d, "_dev_info" },
	{ 0x876041a8, "mt76x02_configure_filter" },
	{ 0xeef11657, "mt76_free_device" },
	{ 0x6283c14b, "mt76x02_queue_rx_skb" },
	{ 0x953d6e34, "mt76u_queues_deinit" },
	{ 0xd1eef2ee, "ieee80211_queue_delayed_work" },
	{ 0x24ecb702, "_dev_err" },
	{ 0xf0805441, "mt76x02u_mcu_fw_reset" },
	{ 0x41fdd914, "mt76x02_mac_setaddr" },
	{ 0xbdf37f44, "mt76_register_device" },
	{ 0x845fe458, "mt76_set_tim" },
	{ 0x3938f12e, "mt76x02_sw_scan_complete" },
	{ 0x918f6d2f, "mt76x02_phy_set_bw" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xcea46a28, "mt76x02_phy_set_band" },
	{ 0xd801f11e, "mt76_set_channel" },
	{ 0xcbc54bb4, "mt76x02_init_device" },
	{ 0xc46eb8af, "mt76x02_tx" },
	{ 0xaf1a9971, "ieee80211_wake_queues" },
	{ 0x3f08564c, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x4d38e994, "mt76x02_sta_remove" },
	{ 0x6eca983, "mt76x02_phy_set_rxpath" },
	{ 0xce2317d5, "mt76x02_edcca_init" },
	{ 0x33b75706, "usb_deregister" },
	{ 0x3ed7c4e4, "mt76x02_tx_status_data" },
	{ 0xf7c0f7ae, "mt76x02_sta_add" },
	{ 0xa8429f96, "mt76x2_mcu_load_cr" },
	{ 0xe195dfa6, "mt76x2_init_txpower" },
	{ 0x30899562, "mt76x02u_mcu_fw_send_data" },
	{ 0x56b6d8b5, "mt76u_init" },
	{ 0x3b8c3872, "mt76_get_survey" },
	{ 0xd3b6a56e, "mt76x02_init_debugfs" },
	{ 0x489dc378, "_dev_warn" },
	{ 0xfcfce5a9, "ieee80211_emulate_add_chanctx" },
	{ 0xdbe0fe9a, "mt76x02u_init_mcu" },
	{ 0xb6ba5542, "mt76x02u_tx_prepare_skb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53c47dcf, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x1616b243, "mt76x2_mcu_init_gain" },
	{ 0xd25c11, "mt76_sta_state" },
	{ 0xace230e1, "mt76x2_phy_tssi_compensate" },
	{ 0x51964b94, "ieee80211_stop_queues" },
	{ 0x8c5d70f2, "mt76x02u_mac_start" },
	{ 0xcb3901e4, "mt76x02_mac_cc_reset" },
	{ 0xea5e3bb1, "mt76x02_bss_info_changed" },
	{ 0x11bc2e63, "mt76x02_init_agc_gain" },
	{ 0x7dad7f08, "mt76x2_phy_update_channel_gain" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x616409b1, "mt76_txq_schedule_all" },
	{ 0xac9c635a, "mt76u_alloc_queues" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xda7a765c, "mt76u_stop_tx" },
	{ 0xcd6541ae, "mt76x02u_init_beacon_config" },
	{ 0x6493db2a, "ieee80211_unregister_hw" },
	{ 0x2c2f24ce, "mt76u_vendor_request" },
	{ 0xc16de85f, "mt76x02_add_interface" },
	{ 0x4f86aee9, "____mt76_poll_msec" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa803c3a4, "mt76_get_sar_power" },
	{ 0x83a20591, "mt76u_stop_rx" },
	{ 0x6a6e99be, "mt76x02_ampdu_action" },
	{ 0x8d2bd5e, "mt76x02_mcu_calibrate" },
	{ 0x75445011, "mt76x02_conf_tx" },
	{ 0xd6e2bf51, "mt76x02_mcu_function_select" },
	{ 0x61da5e29, "mt76_sw_scan" },
	{ 0xfe933f25, "mt76_sta_pre_rcu_remove" },
	{ 0xd9107b73, "mt76x02_mac_wcid_setup" },
	{ 0x39ad0e05, "__mt76_poll" },
	{ 0x14153bb, "mt76x2_read_rx_gain" },
	{ 0x2194000e, "mt76x2_phy_set_txpower_regs" },
	{ 0x36cba1ea, "mt76x2_phy_set_txpower" },
	{ 0x53807b06, "mt76x02_phy_set_txdac" },
	{ 0x88bc9b84, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc673aafd, "mt76x02_remove_interface" },
	{ 0x615e8a00, "mt76x02u_tx_complete_skb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x61add97d, "devm_kmalloc" },
	{ 0x98e0ef4f, "mt76x02_set_ethtool_fwver" },
	{ 0x51576d68, "mt76x02_set_key" },
	{ 0x824063e7, "mt76_release_buffered_frames" },
	{ 0xe9c9802d, "request_firmware" },
	{ 0x7a0f72f, "usb_register_driver" },
	{ 0xa7fe790, "mt76_get_txpower" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "mt76x2-common,mt76x02-lib,mt76,mac80211,mt76-usb,usbcore,mt76x02-usb");

MODULE_ALIAS("usb:v0B05p1833d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17EBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p180Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7612d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8503d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7632d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2C4Ep0103d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9053d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02E6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02FEd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "537962D0DB9EE073E4BAD2A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
