#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd3fafba2, "mt7921_usb_sdio_tx_complete_skb" },
	{ 0xf64cf59d, "mt792xu_rmw" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x724f3fa6, "mt76u_resume_rx" },
	{ 0xdd4390f, "kthread_park" },
	{ 0xd2a0fa54, "__dynamic_dev_dbg" },
	{ 0x365cfa8c, "mt7921_mac_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x27cbaf0e, "mt76_alloc_device" },
	{ 0x46f36f3c, "wake_up_process" },
	{ 0x3f2ec9e1, "skb_queue_purge_reason" },
	{ 0xefa61028, "mt792xu_mcu_power_on" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc20a011d, "mt7921_register_device" },
	{ 0xa63bf524, "__mt7921_start" },
	{ 0xd77d2d46, "mt7921_run_firmware" },
	{ 0x6a201e8a, "usb_put_dev" },
	{ 0xd5f17603, "usb_bulk_msg" },
	{ 0xe4d58958, "usb_reset_device" },
	{ 0xf53b2ec9, "mt7921_usb_sdio_tx_status_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xebfea8b3, "usb_get_dev" },
	{ 0x9f30eaa, "mt76u_alloc_mcu_queue" },
	{ 0xeef11657, "mt76_free_device" },
	{ 0x57312c87, "kthread_unpark" },
	{ 0xad2a8389, "mt7921_ops" },
	{ 0x953d6e34, "mt76u_queues_deinit" },
	{ 0xde954996, "skb_push" },
	{ 0x86647ae3, "mt792xu_wfsys_reset" },
	{ 0x36d0129f, "mt792xu_disconnect" },
	{ 0x77a28831, "mt792xu_wr" },
	{ 0x33b75706, "usb_deregister" },
	{ 0xfb578fc5, "memset" },
	{ 0xbed1c4f7, "mt7921_mac_sta_remove" },
	{ 0x79ac3453, "mt7921_usb_sdio_tx_prepare_skb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xac923785, "mt76u_read_copy" },
	{ 0xbe12b9a0, "mt76_connac2_mcu_fill_message" },
	{ 0xe69f79d8, "mt7921_mcu_parse_response" },
	{ 0x616409b1, "mt76_txq_schedule_all" },
	{ 0xac9c635a, "mt76u_alloc_queues" },
	{ 0xda7a765c, "mt76u_stop_tx" },
	{ 0xb135e2c0, "mt792xu_init_reset" },
	{ 0x93f1f3f5, "mt792xu_dma_init" },
	{ 0xe3dc63c5, "mt7921_mac_sta_add" },
	{ 0xfb3b29fa, "mt792x_update_channel" },
	{ 0xb4f9c607, "mt792x_get_mac80211_ops" },
	{ 0x530b548, "mt7921_queue_rx_skb" },
	{ 0x83a20591, "mt76u_stop_rx" },
	{ 0x3792f13, "mt76_connac_mcu_set_hif_suspend" },
	{ 0xd979e893, "mt792x_reset" },
	{ 0x82019e2f, "mt7921_rx_check" },
	{ 0xdf279780, "mt7921_mac_sta_assoc" },
	{ 0xf76f6a13, "mt792xu_rr" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x68bc7605, "__mt76u_init" },
	{ 0x84823ab1, "consume_skb" },
	{ 0x3c0de7d8, "mt792xu_copy" },
	{ 0xe409c6cd, "mt792xu_stop" },
	{ 0x7a0f72f, "usb_register_driver" },
	{ 0x434d775e, "mt7921_mcu_set_eeprom" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "mt7921-common,mt792x-usb,mt76-usb,mt76,usbcore,mt76-connac-lib,mt792x-lib");

MODULE_ALIAS("usb:v0E8Dp7961d*dc*dsc*dp*icFFiscFFipFFin*");
MODULE_ALIAS("usb:v3574p6211d*dc*dsc*dp*icFFiscFFipFFin*");
MODULE_ALIAS("usb:v0846p9060d*dc*dsc*dp*icFFiscFFipFFin*");

MODULE_INFO(srcversion, "E2433C80BB24E59786ECE41");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
