#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_disable_lps_deep_mode, "", "");
KSYMTAB_DATA(rtw_debug_mask, "", "");
KSYMTAB_FUNC(rtw_dump_fw, "", "");
KSYMTAB_FUNC(rtw_dump_reg, "", "");
KSYMTAB_FUNC(rtw_set_rx_freq_band, "", "");
KSYMTAB_FUNC(rtw_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw_core_init, "", "");
KSYMTAB_FUNC(rtw_core_deinit, "", "");
KSYMTAB_FUNC(rtw_register_hw, "", "");
KSYMTAB_FUNC(rtw_unregister_hw, "", "");
KSYMTAB_DATA(rtw_ops, "", "");
KSYMTAB_FUNC(check_hw_ready, "", "");
KSYMTAB_FUNC(rtw_restore_reg, "", "");
KSYMTAB_FUNC(rtw_dbg, "", "");
KSYMTAB_FUNC(rtw_tx_fill_tx_desc, "", "");
KSYMTAB_FUNC(rtw_tx_report_enqueue, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_rsvd_page_get, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_h2c_get, "", "");
KSYMTAB_FUNC(rtw_tx_ac_to_hwq, "", "");
KSYMTAB_FUNC(rtw_tx_queue_mapping, "", "");
KSYMTAB_FUNC(rtw_rx_stats, "", "");
KSYMTAB_FUNC(rtw_rx_fill_rx_status, "", "");
KSYMTAB_FUNC(rtw_set_channel_mac, "", "");
KSYMTAB_DATA(rtw_rate_section, "", "");
KSYMTAB_DATA(rtw_rate_size, "", "");
KSYMTAB_FUNC(rtw_phy_set_edcca_th, "", "");
KSYMTAB_FUNC(rtw_phy_init, "", "");
KSYMTAB_FUNC(rtw_phy_parsing_cfo, "", "");
KSYMTAB_FUNC(rtw_phy_rf_power_2_rssi, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_mix, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_phy_cond, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_bb_pg, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_txpwr_lmt, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_mac, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_agc, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_bb, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_rf, "", "");
KSYMTAB_FUNC(rtw_phy_load_tables, "", "");
KSYMTAB_FUNC(rtw_phy_get_tx_power_index, "", "");
KSYMTAB_FUNC(rtw_phy_set_tx_power_level, "", "");
KSYMTAB_FUNC(rtw_phy_config_swing_table, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_avg, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_thermal_changed, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_delta, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_pwridx, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_lck, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_iqk, "", "");
KSYMTAB_FUNC(rtw_coex_write_scbd, "", "");
KSYMTAB_FUNC(rtw_coex_read_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_coex_write_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_read8_physical_efuse, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_rx_irqsafe, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_isr, "", "");
KSYMTAB_FUNC(rtw_fw_do_iqk, "", "");
KSYMTAB_FUNC(rtw_fw_inform_rfk_status, "", "");
KSYMTAB_FUNC(rtw_power_mode_change, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_set_gid_table, "", "");
KSYMTAB_FUNC(rtw_bf_phy_init, "", "");
KSYMTAB_FUNC(rtw_bf_cfg_csi_rate, "", "");
KSYMTAB_FUNC(rtw_regd_get, "", "");
KSYMTAB_FUNC(rtw_regd_srrc, "", "");

SYMBOL_CRC(rtw_disable_lps_deep_mode, 0x36c5bfca, "");
SYMBOL_CRC(rtw_debug_mask, 0x33b3f3c0, "");
SYMBOL_CRC(rtw_dump_fw, 0xe96f683a, "");
SYMBOL_CRC(rtw_dump_reg, 0xad7542a3, "");
SYMBOL_CRC(rtw_set_rx_freq_band, 0xc00d7f80, "");
SYMBOL_CRC(rtw_chip_info_setup, 0xfe12abd4, "");
SYMBOL_CRC(rtw_core_init, 0x1da97294, "");
SYMBOL_CRC(rtw_core_deinit, 0xcdb87cc7, "");
SYMBOL_CRC(rtw_register_hw, 0x00c5db35, "");
SYMBOL_CRC(rtw_unregister_hw, 0xd5886e5d, "");
SYMBOL_CRC(rtw_ops, 0x79fcace9, "");
SYMBOL_CRC(check_hw_ready, 0x9466f50e, "");
SYMBOL_CRC(rtw_restore_reg, 0x36173afb, "");
SYMBOL_CRC(rtw_dbg, 0x15f6b482, "");
SYMBOL_CRC(rtw_tx_fill_tx_desc, 0x70f736af, "");
SYMBOL_CRC(rtw_tx_report_enqueue, 0xb3f2f8d4, "");
SYMBOL_CRC(rtw_tx_write_data_rsvd_page_get, 0x0b21455c, "");
SYMBOL_CRC(rtw_tx_write_data_h2c_get, 0x89b7492e, "");
SYMBOL_CRC(rtw_tx_ac_to_hwq, 0x1dc2d072, "");
SYMBOL_CRC(rtw_tx_queue_mapping, 0x0e0fe4e3, "");
SYMBOL_CRC(rtw_rx_stats, 0x9c93d86f, "");
SYMBOL_CRC(rtw_rx_fill_rx_status, 0x423dbd1d, "");
SYMBOL_CRC(rtw_set_channel_mac, 0xeafee552, "");
SYMBOL_CRC(rtw_rate_section, 0x58210e60, "");
SYMBOL_CRC(rtw_rate_size, 0x519c8ba9, "");
SYMBOL_CRC(rtw_phy_set_edcca_th, 0x1366315f, "");
SYMBOL_CRC(rtw_phy_init, 0xd28a4947, "");
SYMBOL_CRC(rtw_phy_parsing_cfo, 0x6dbad7bd, "");
SYMBOL_CRC(rtw_phy_rf_power_2_rssi, 0x440b7589, "");
SYMBOL_CRC(rtw_phy_read_rf, 0x3a537233, "");
SYMBOL_CRC(rtw_phy_read_rf_sipi, 0xd952c903, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_sipi, 0x308cc615, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_mix, 0x70469687, "");
SYMBOL_CRC(rtw_parse_tbl_phy_cond, 0xceebd7fe, "");
SYMBOL_CRC(rtw_parse_tbl_bb_pg, 0x4b339977, "");
SYMBOL_CRC(rtw_parse_tbl_txpwr_lmt, 0x025886db, "");
SYMBOL_CRC(rtw_phy_cfg_mac, 0x7dec24d6, "");
SYMBOL_CRC(rtw_phy_cfg_agc, 0x2e889d10, "");
SYMBOL_CRC(rtw_phy_cfg_bb, 0x0290aa00, "");
SYMBOL_CRC(rtw_phy_cfg_rf, 0x9bf9eeb8, "");
SYMBOL_CRC(rtw_phy_load_tables, 0x0d9bb0d6, "");
SYMBOL_CRC(rtw_phy_get_tx_power_index, 0x104fdad3, "");
SYMBOL_CRC(rtw_phy_set_tx_power_level, 0x28ca1547, "");
SYMBOL_CRC(rtw_phy_config_swing_table, 0x462edb83, "");
SYMBOL_CRC(rtw_phy_pwrtrack_avg, 0x47204904, "");
SYMBOL_CRC(rtw_phy_pwrtrack_thermal_changed, 0x28646dda, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_delta, 0x4f1afc4c, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_pwridx, 0xea75938f, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_lck, 0x65bcf953, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_iqk, 0x366b1c5e, "");
SYMBOL_CRC(rtw_coex_write_scbd, 0x351b5851, "");
SYMBOL_CRC(rtw_coex_read_indirect_reg, 0xade6adbc, "");
SYMBOL_CRC(rtw_coex_write_indirect_reg, 0xaa143222, "");
SYMBOL_CRC(rtw_read8_physical_efuse, 0x1ac9dded, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_rx_irqsafe, 0xe99d87f0, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_isr, 0x05ceadbe, "");
SYMBOL_CRC(rtw_fw_do_iqk, 0x08e9b83c, "");
SYMBOL_CRC(rtw_fw_inform_rfk_status, 0xa20e8f63, "");
SYMBOL_CRC(rtw_power_mode_change, 0x242a4e05, "");
SYMBOL_CRC(rtw_bf_enable_bfee_su, 0x0c8a67cf, "");
SYMBOL_CRC(rtw_bf_enable_bfee_mu, 0x0f06ffd2, "");
SYMBOL_CRC(rtw_bf_remove_bfee_su, 0xeb7d731d, "");
SYMBOL_CRC(rtw_bf_remove_bfee_mu, 0xc334e36e, "");
SYMBOL_CRC(rtw_bf_set_gid_table, 0x4e98a85b, "");
SYMBOL_CRC(rtw_bf_phy_init, 0xcfcf583c, "");
SYMBOL_CRC(rtw_bf_cfg_csi_rate, 0xda55f811, "");
SYMBOL_CRC(rtw_regd_get, 0x9f4e14cb, "");
SYMBOL_CRC(rtw_regd_srrc, 0x37784260, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6cafcb7e, "ieee80211_proberesp_get" },
	{ 0x24ecb702, "_dev_err" },
	{ 0xc5ef9a6c, "request_firmware_nowait" },
	{ 0x258709ad, "simple_open" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6507c306, "ieee80211_find_sta_by_ifaddr" },
	{ 0x54f46593, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xde954996, "skb_push" },
	{ 0xaf1a9971, "ieee80211_wake_queues" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c639103, "ieee80211_iter_keys_rcu" },
	{ 0x1d1f5806, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa73ae434, "dev_coredumpv" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x25a8c074, "ieee80211_tx_dequeue" },
	{ 0xfb578fc5, "memset" },
	{ 0x489dc378, "_dev_warn" },
	{ 0xf9ca2eb4, "kstrtoint_from_user" },
	{ 0xfcfce5a9, "ieee80211_emulate_add_chanctx" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53c47dcf, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x49915a4e, "__netdev_alloc_skb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x51964b94, "ieee80211_stop_queues" },
	{ 0x12f1b68c, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x26ccd346, "seq_read" },
	{ 0x92a8836d, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0xf673901e, "ieee80211_scan_completed" },
	{ 0x3561e5d5, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf6125d05, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6493db2a, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x561751cb, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xa5638ded, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb017e96e, "skb_copy" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xd5c57235, "ieee80211_cqm_rssi_notify" },
	{ 0x1be8b942, "seq_puts" },
	{ 0xc63b2c6f, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xee25912d, "ieee80211_request_smps" },
	{ 0xcad0d60, "kmalloc_trace" },
	{ 0x48cff0ab, "ieee80211_queue_work" },
	{ 0x67f1b31c, "dev_kfree_skb_any_reason" },
	{ 0xe4967dc5, "_dev_printk" },
	{ 0x204949a7, "single_open" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xc1cbb9b7, "debugfs_create_dir" },
	{ 0x88bc9b84, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe33f92fe, "kmalloc_caches" },
	{ 0x83b79334, "device_set_wakeup_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x8c2e9060, "ieee80211_connection_loss" },
	{ 0xcf7e0528, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5b3b296d, "ieee80211_txq_get_depth" },
	{ 0x8260bb25, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x31ba60f0, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x84823ab1, "consume_skb" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf8009136, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x3bfabb9e, "ieee80211_probereq_get" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x743484f8, "ieee80211_iterate_stations_atomic" },
	{ 0x5d03c98d, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbb374f06, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x2a2866b0, "ieee80211_nullfunc_get" },
	{ 0xf9ec0999, "ieee80211_pspoll_get" },
	{ 0x1eda8413, "seq_lseek" },
	{ 0x70252cbe, "ieee80211_register_hw" },
	{ 0xeec5fce9, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc7a1ca01, "ieee80211_restart_hw" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f2ec9e1, "skb_queue_purge_reason" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5305fb1e, "ieee80211_find_sta" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x2a1ce29, "ieee80211_iter_keys" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x478ac129, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xfc06b591, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x7e18316d, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x8ebb4be, "skb_queue_tail" },
	{ 0xf0bd74bb, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xb6936ffe, "_bcd2bin" },
	{ 0x41c3e2d0, "wiphy_to_ieee80211_hw" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd1eef2ee, "ieee80211_queue_delayed_work" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "315833336153393C6690163");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
