#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa88ae723, "pnfs_generic_scan_commit_lists" },
	{ 0x934c215a, "init_task" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xa6e0dc58, "pnfs_set_layoutcommit" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xed15fb41, "nfs4_print_deviceid" },
	{ 0x7d199cce, "pnfs_report_layoutstat" },
	{ 0x79a8a192, "nfs4_put_deviceid_node" },
	{ 0x6eddddb6, "pnfs_put_lseg" },
	{ 0xf29aa4ab, "pnfs_layoutcommit_inode" },
	{ 0xeb941f47, "nfs4_pnfs_ds_add" },
	{ 0xa2a8e4d1, "pnfs_destroy_layout" },
	{ 0xa1a99403, "pnfs_layout_mark_request_commit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x420ff9c7, "nfs_pageio_reset_write_mds" },
	{ 0x554ced5d, "rpc_max_payload" },
	{ 0x560d915f, "nfs4_find_or_create_ds_client" },
	{ 0x84dc50a6, "from_kgid" },
	{ 0xfde402c4, "__SCK__tp_func_nfs4_pnfs_commit_ds" },
	{ 0xa5320e68, "nfs4_find_get_deviceid" },
	{ 0xa08496d4, "pnfs_read_resend_pnfs" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8920e5c5, "__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count" },
	{ 0x18e75751, "__SCT__tp_func_pnfs_mds_fallback_write_pagelist" },
	{ 0x6a925097, "__SCT__tp_func_pnfs_mds_fallback_read_pagelist" },
	{ 0x7f2ec55e, "rpc_call_start" },
	{ 0x96c4643f, "__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count" },
	{ 0x3d24fdc8, "__SCK__tp_func_ff_layout_read_error" },
	{ 0xbad694ba, "__tracepoint_pnfs_mds_fallback_read_done" },
	{ 0xda2dc3ed, "__SCK__tp_func_pnfs_mds_fallback_read_done" },
	{ 0xadeca730, "__SCT__tp_func_nfs4_pnfs_write" },
	{ 0x14c01631, "from_kuid" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xfd1a5133, "__tracepoint_ff_layout_read_error" },
	{ 0xe8b20d94, "xdr_init_decode_pages" },
	{ 0x68d2d604, "__SCK__tp_func_pnfs_mds_fallback_write_done" },
	{ 0x927b107f, "pnfs_generic_layout_insert_lseg" },
	{ 0xe8f952b3, "rpc_delay" },
	{ 0xb0ddddeb, "pnfs_generic_write_commit_done" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeacfd9f8, "pnfs_generic_pg_cleanup" },
	{ 0xef95dae, "rpc_exit" },
	{ 0xf7658c7e, "make_kgid" },
	{ 0xd4ffc6d, "__SCK__tp_func_nfs4_pnfs_read" },
	{ 0x6a5eb444, "__SCT__tp_func_pnfs_mds_fallback_pg_init_read" },
	{ 0x86a9101d, "pnfs_update_layout" },
	{ 0x5c347261, "pnfs_generic_pg_test" },
	{ 0xef90c4d1, "xdr_reserve_space" },
	{ 0xdfeb8509, "nfs4_sequence_done" },
	{ 0x6695e1bc, "pnfs_generic_recover_commit_reqs" },
	{ 0xcf377a2, "__SCK__tp_func_nfs4_pnfs_write" },
	{ 0x849eb7da, "pnfs_generic_commit_pagelist" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5bfb8528, "nfs_initiate_pgio" },
	{ 0xeb87b5a7, "nfs4_decode_mp_ds_addr" },
	{ 0x792454bb, "__tracepoint_nfs4_pnfs_commit_ds" },
	{ 0x246577eb, "nfs4_mark_deviceid_unavailable" },
	{ 0xf67c81b7, "init_user_ns" },
	{ 0xeb644735, "alloc_pages" },
	{ 0x5c0d0cab, "__SCK__tp_func_pnfs_mds_fallback_read_pagelist" },
	{ 0x11fcf8be, "__folio_put" },
	{ 0x6c0d92ef, "__SCK__tp_func_ff_layout_commit_error" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5228066f, "nfs4_delete_deviceid" },
	{ 0x56470118, "__warn_printk" },
	{ 0x54bef45, "layoutstats_timer" },
	{ 0x9dbde904, "__tracepoint_pnfs_mds_fallback_write_done" },
	{ 0x5714e1ec, "nfs4_pnfs_ds_put" },
	{ 0xe45a02da, "__SCK__tp_func_ff_layout_write_error" },
	{ 0x46ea3e0, "__SCK__tp_func_pnfs_mds_fallback_pg_init_write" },
	{ 0xea71e03e, "pnfs_error_mark_layout_for_return" },
	{ 0xba057904, "nfs_initiate_commit" },
	{ 0xfda69320, "__SCK__tp_func_pnfs_mds_fallback_pg_init_read" },
	{ 0x4bc04b72, "__tracepoint_pnfs_mds_fallback_pg_init_read" },
	{ 0xf7ecd78a, "prepare_kernel_cred" },
	{ 0xcad0d60, "kmalloc_trace" },
	{ 0x5bdc4c50, "__SCK__tp_func_pnfs_mds_fallback_write_pagelist" },
	{ 0xdbf9f008, "nfs4_setup_sequence" },
	{ 0x73b36988, "nfs42_proc_layouterror" },
	{ 0x754d539c, "strlen" },
	{ 0xcca913fa, "pnfs_generic_clear_request_commit" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xed6c10b2, "__tracepoint_pnfs_mds_fallback_pg_get_mirror_count" },
	{ 0x783a8612, "nfs4_pnfs_ds_connect" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x9f84d718, "xdr_init_encode" },
	{ 0xdeb5edce, "__SCT__tp_func_pnfs_mds_fallback_pg_init_write" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0xc361c3c5, "__SCT__tp_func_pnfs_mds_fallback_read_done" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xaec43e5b, "pnfs_alloc_commit_array" },
	{ 0xe33f92fe, "kmalloc_caches" },
	{ 0x3fc0a278, "pnfs_nfs_generic_sync" },
	{ 0xa95602e8, "nfs4_schedule_session_recovery" },
	{ 0x9cf82f1, "pnfs_unregister_layoutdriver" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x68210833, "pnfs_register_layoutdriver" },
	{ 0x7787a724, "pnfs_generic_ds_cinfo_release_lseg" },
	{ 0x5abc1dae, "nfs4_mark_deviceid_available" },
	{ 0xcd014901, "nfs_writeback_update_inode" },
	{ 0x8260bb25, "param_ops_uint" },
	{ 0x81bdf5e0, "__tracepoint_pnfs_mds_fallback_pg_init_write" },
	{ 0x918a7a5f, "nfs4_init_deviceid_node" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5b599f06, "__tracepoint_pnfs_mds_fallback_write_pagelist" },
	{ 0x69e764da, "nfs_pageio_reset_read_mds" },
	{ 0x716be578, "xdr_write_pages" },
	{ 0x1256c648, "pnfs_generic_ds_cinfo_destroy" },
	{ 0x4089485b, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9e66017c, "__tracepoint_nfs4_pnfs_write" },
	{ 0x5da13904, "xdr_inline_decode" },
	{ 0xfaf60e76, "rpc_count_iostats_metrics" },
	{ 0x8c003bcb, "rpc_wake_up" },
	{ 0x3a77d8c2, "pnfs_write_done_resend_to_mds" },
	{ 0x4ab7b9a1, "__tracepoint_nfs4_pnfs_read" },
	{ 0xcef517e2, "__tracepoint_ff_layout_write_error" },
	{ 0x874df755, "pnfs_free_commit_array" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb39c53a8, "pnfs_generic_pg_check_layout" },
	{ 0x37a0cba, "kfree" },
	{ 0x93c9a39, "pnfs_generic_pg_check_range" },
	{ 0xb5b04da0, "pnfs_generic_prepare_to_resend_writes" },
	{ 0xf32fa2b7, "__SCT__tp_func_ff_layout_write_error" },
	{ 0xa7c1e3c6, "pcpu_hot" },
	{ 0xf6406d45, "pnfs_generic_pg_writepages" },
	{ 0x67e99461, "__put_devmap_managed_page_refs" },
	{ 0x7e42bd3f, "__SCT__tp_func_ff_layout_read_error" },
	{ 0x2b16e909, "__SCT__tp_func_nfs4_pnfs_commit_ds" },
	{ 0x46e1608b, "rpc_restart_call_prepare" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x63826d35, "__SCT__tp_func_nfs4_pnfs_read" },
	{ 0x44258564, "__tracepoint_ff_layout_commit_error" },
	{ 0xf0049fb8, "pnfs_read_done_resend_to_mds" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xf615a55e, "pnfs_add_commit_array" },
	{ 0xd6b8221d, "pnfs_generic_pg_readpages" },
	{ 0xf999267e, "pnfs_generic_commit_release" },
	{ 0xed61c243, "rpc_clnt_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4be0f1f1, "__put_cred" },
	{ 0x4245bcc6, "rpc_cancel_tasks" },
	{ 0xcc21ce5c, "__SCT__tp_func_ff_layout_commit_error" },
	{ 0x930a94fd, "__SCT__tp_func_pnfs_mds_fallback_write_done" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6085edbd, "nfs_map_string_to_numeric" },
	{ 0x92997ed8, "_printk" },
	{ 0x462228a5, "nfs4_test_deviceid_unavailable" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcea3276, "make_kuid" },
	{ 0xd9de5aab, "__tracepoint_pnfs_mds_fallback_read_pagelist" },
	{ 0xa916b694, "strnlen" },
	{ 0x5f0ee048, "const_pcpu_hot" },
	{ 0x88745aff, "__free_pages" },
	{ 0x69d3558d, "pnfs_generic_rw_release" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "nfsv4,nfs,sunrpc");


MODULE_INFO(srcversion, "24BA53A06791DCB4F1FE1ED");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
