#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb578fc5, "memset" },
	{ 0x15749d2, "br_multicast_has_querier_anywhere" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x15d6a15b, "__pskb_pull_tail" },
	{ 0x89391894, "netif_rx" },
	{ 0xc0a51b37, "ip_mc_check_igmp" },
	{ 0x49915a4e, "__netdev_alloc_skb" },
	{ 0x5831cb5a, "netdev_master_upper_dev_link" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4020d8f, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8208a462, "kthread_create_on_node" },
	{ 0x740dbf2, "br_multicast_list_adjacent" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x54b71c82, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x30afed7e, "netdev_master_upper_dev_get_rcu" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb017e96e, "skb_copy" },
	{ 0x88465c58, "br_multicast_has_router_adjacent" },
	{ 0x899460fe, "skb_clone" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x89d76c6a, "genl_unregister_family" },
	{ 0xcad0d60, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x67f1b31c, "dev_kfree_skb_any_reason" },
	{ 0x591f41fd, "skb_split" },
	{ 0xb488a691, "genl_register_family" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xb4d7989d, "pskb_trim_rcsum_slow" },
	{ 0x194348b0, "skb_seq_read" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe33f92fe, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x80f22eb3, "kmem_cache_destroy" },
	{ 0xdd0fe73a, "register_netdevice" },
	{ 0x96a5daf0, "dev_set_mtu" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa4e2c283, "cfg80211_get_station" },
	{ 0xad7775ac, "skb_copy_bits" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x2abf96f0, "ipv6_mc_check_mld" },
	{ 0x31ba60f0, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x84823ab1, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xaa9ce67b, "param_get_string" },
	{ 0x829d2693, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x93df9dbe, "br_multicast_has_querier_adjacent" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa30feed8, "rtnl_link_register" },
	{ 0x27654d59, "genlmsg_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc0bb3345, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xb5d85415, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xf52560b8, "unregister_netdevice_queue" },
	{ 0xcbc1f2d2, "kmem_cache_create" },
	{ 0x8288aba7, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x5c484fd, "__pskb_copy_fclone" },
	{ 0x9fc87596, "ether_setup" },
	{ 0xbc8e556, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdaa419cf, "param_set_copystring" },
	{ 0x5d3a51ad, "pskb_expand_head" },
	{ 0x46f36f3c, "wake_up_process" },
	{ 0x3adb67a9, "dev_addr_mod" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x9eef41bf, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0xfc06b591, "__alloc_skb" },
	{ 0xed69d897, "kmem_cache_alloc" },
	{ 0x7b7e4b68, "skb_copy_expand" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x728c27dd, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xdd381cbd, "__dev_get_by_index" },
	{ 0xed2fecc9, "rtnl_link_unregister" },
	{ 0xf7fe3251, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xeb71d095, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x26e10aef, "dev_remove_pack" },
	{ 0x9913cddc, "dev_get_by_index" },
	{ 0x54f46593, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xde954996, "skb_push" },
	{ 0x9ecef473, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5361653d, "netdev_upper_dev_unlink" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd5a43273, "nla_put" },
	{ 0xcd279169, "nla_find" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc2733776, "skb_prepare_seq_read" },
	{ 0x5b2dec1b, "ethtool_op_get_link" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x3dd9d9db, "arp_create" },
	{ 0xeae2d25b, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "bridge,libcrc32c,cfg80211");


MODULE_INFO(srcversion, "9130A26B39796B00B9EE6C7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
