#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dsa_devlink_param_get, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_param_set, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resources_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_port_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_destroy, "_gpl", "");
KSYMTAB_FUNC(dsa_flush_workqueue, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_find, "_gpl", "");
KSYMTAB_FUNC(dsa_register_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_unregister_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_shutdown, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_suspend, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_resume, "_gpl", "");
KSYMTAB_FUNC(dsa_port_from_netdev, "_gpl", "");
KSYMTAB_FUNC(dsa_fdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_mdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_standalone_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_switch_id, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_source_port, "_gpl", "");
KSYMTAB_FUNC(vid_is_dsa_8021q, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_join, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_leave, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_xmit, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_find_port_by_vbid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rcv, "_gpl", "");
KSYMTAB_FUNC(dsa_enqueue_skb, "_gpl", "");
KSYMTAB_FUNC(dsa_port_phylink_mac_change, "_gpl", "");
KSYMTAB_FUNC(dsa_user_dev_check, "_gpl", "");

SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0xfd3e2b67, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0xbdc77e8f, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0xe477b37b, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0xf2f29fa8, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0xb26fcacc, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0xd114f22f, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0x66577410, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0xd7d91b93, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0x3ce32ea3, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0xbf9aca59, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0x4484c7d1, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0x16547001, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0x2acd52ff, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0x4ea775ce, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0xb4d02305, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0xbfc903b4, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0x9a33b9b4, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0xd0824dda, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_register, 0x4964bc47, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0x88fcdbd1, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0xe749ab85, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0x3c9761d4, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0xb05c9608, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0xd4289a7e, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0xf975f8b0, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0x72d49c72, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_port_by_vbid, 0xbb477de9, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0xc784f8dc, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0x7b4e435e, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0x4beda02f, "_gpl");
SYMBOL_CRC(dsa_user_dev_check, 0xa3bfad49, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xeefe0239, "put_device" },
	{ 0x8472dc67, "devlink_resource_register" },
	{ 0xadd8b3ef, "netdev_upper_get_next_dev_rcu" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x435d7f8f, "netif_device_detach" },
	{ 0x5f0ee048, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9758b024, "switchdev_bridge_port_offload" },
	{ 0xdef75f3, "netif_device_attach" },
	{ 0x14f7bc5d, "phylink_ethtool_get_eee" },
	{ 0x9eab6125, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7ea1007, "ptp_classify_raw" },
	{ 0xcfdbed59, "dev_open" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xb885385b, "devlink_region_create" },
	{ 0x6ee3dda6, "vlan_dev_real_dev" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xdd381cbd, "__dev_get_by_index" },
	{ 0xed2fecc9, "rtnl_link_unregister" },
	{ 0x23f034f8, "perf_trace_run_bpf_submit" },
	{ 0xf7b513fe, "devlink_port_unregister" },
	{ 0x24ecb702, "_dev_err" },
	{ 0xace281c1, "init_net" },
	{ 0xd21350cd, "noop_qdisc" },
	{ 0x2ae1c59a, "phy_ethtool_get_strings" },
	{ 0xf68a806f, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x4087f223, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x26e10aef, "dev_remove_pack" },
	{ 0xe1280549, "bpf_trace_run5" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x54f46593, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x438d7cbf, "gro_cells_receive" },
	{ 0x43c160b, "switchdev_handle_port_obj_del_foreign" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xde954996, "skb_push" },
	{ 0x5361653d, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0x2f5bd6f4, "dev_mc_del" },
	{ 0xf5a9f9f6, "trace_event_reg" },
	{ 0x4e9ab008, "br_vlan_get_info" },
	{ 0xe1de6057, "free_netdev" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x98a483f, "mdiobus_free" },
	{ 0x904b1b26, "sysfs_create_group" },
	{ 0x6e9930b3, "devlink_resource_occ_get_register" },
	{ 0x5b2dec1b, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x6eb8b3e8, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd18ad2fd, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x8caf150d, "devlink_port_fini" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x7b43f53d, "switchdev_bridge_port_unoffload" },
	{ 0x489dc378, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x65477549, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0x71a2e301, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x89391894, "netif_rx" },
	{ 0xcaac4362, "dev_mc_add" },
	{ 0x1853f1b4, "flow_block_cb_alloc" },
	{ 0x30066081, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4020d8f, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xfcde8d48, "__dynamic_netdev_dbg" },
	{ 0x2ac61fb3, "pv_ops" },
	{ 0x589e118c, "sysfs_remove_group" },
	{ 0xa440739d, "net_selftest" },
	{ 0x154f4479, "bpf_trace_run3" },
	{ 0xcc0f3ac5, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0x37bb5413, "devlink_port_init" },
	{ 0x5bebc40a, "__netpoll_setup" },
	{ 0x54b71c82, "__dev_queue_xmit" },
	{ 0xf12b9ba2, "vlan_vid_add" },
	{ 0x9663d54, "devlink_params_register" },
	{ 0x7795e84d, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0xef355a4e, "vlan_vid_del" },
	{ 0xa5bbd50, "dev_set_allmulti" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xbc629e40, "devlink_resources_unregister" },
	{ 0x4836932e, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1bfca32c, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xff21d9ae, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xa94d501b, "devlink_port_region_create" },
	{ 0xc6b2e104, "devlink_priv" },
	{ 0xb017e96e, "skb_copy" },
	{ 0x39b1b344, "__hw_addr_sync_dev" },
	{ 0xb3366158, "devlink_port_register_with_ops" },
	{ 0x46bdf36b, "mdiobus_get_phy" },
	{ 0x6131ce92, "dst_release" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xb846bb2f, "__mdiobus_register" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4b9c7d04, "dev_uc_add" },
	{ 0xa7168a27, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0xfe223848, "br_mst_enabled" },
	{ 0xcad0d60, "kmalloc_trace" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x5379a5a4, "phylink_of_phy_connect" },
	{ 0x754d539c, "strlen" },
	{ 0x67f1b31c, "dev_kfree_skb_any_reason" },
	{ 0x760a3849, "dcb_ieee_delapp" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x231f379d, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0xc0888acf, "dsa_stubs" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xb1de4318, "dcb_ieee_setapp" },
	{ 0x1f97b880, "phy_ethtool_get_sset_count" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe33f92fe, "kmalloc_caches" },
	{ 0xe011dfdf, "skb_dump" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x7039eae4, "__skb_vlan_pop" },
	{ 0xddd3088f, "phylink_connect_phy" },
	{ 0x78bf0d89, "br_get_ageing_time" },
	{ 0xdd0fe73a, "register_netdevice" },
	{ 0x9fec7222, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0xf72e07ef, "netdev_lower_get_next" },
	{ 0x33e63b25, "flow_block_cb_lookup" },
	{ 0xa942fcb0, "switchdev_handle_port_obj_add_foreign" },
	{ 0xa3b21ec1, "devlink_resource_occ_get_unregister" },
	{ 0x96a5daf0, "dev_set_mtu" },
	{ 0x8e2d6bc5, "br_vlan_enabled" },
	{ 0xfd61052d, "__skb_pad" },
	{ 0xd5121126, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8b2366f2, "skb_ensure_writable_head_tail" },
	{ 0x364563ee, "bpf_trace_run4" },
	{ 0x2d91469a, "devlink_unregister" },
	{ 0xc1d0d3ca, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x142fa137, "br_port_flag_is_set" },
	{ 0x61add97d, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x65bcdf6e, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x54ef73cd, "br_port_get_stp_state" },
	{ 0x84823ab1, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x829d2693, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x79be79df, "is_hsr_master" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf7fa12b6, "__netpoll_free" },
	{ 0x210dd3f5, "trace_raw_output_prep" },
	{ 0xedcd0715, "br_vlan_get_proto" },
	{ 0x51dfdfd2, "br_mst_get_state" },
	{ 0x6d7d6565, "unregister_netdev" },
	{ 0x47829a74, "__trace_trigger_soft_disabled" },
	{ 0x7a301ae4, "trace_event_printf" },
	{ 0xae6be892, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd79e7323, "netpoll_send_skb" },
	{ 0xa30feed8, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x45fa7b8, "devlink_params_unregister" },
	{ 0xce008ddf, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0xb35c5ee5, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x64d5fa41, "devlink_alloc_ns" },
	{ 0x9e87925a, "dev_set_promiscuity" },
	{ 0x86b6b26f, "devlink_register" },
	{ 0xa7c1e3c6, "pcpu_hot" },
	{ 0xef1037e, "devlink_free" },
	{ 0x55871848, "gro_cells_init" },
	{ 0x51a78af3, "bpf_trace_run2" },
	{ 0x75a7f04e, "netdev_warn" },
	{ 0xf52560b8, "unregister_netdevice_queue" },
	{ 0xb5e02c3c, "get_device" },
	{ 0x8288aba7, "skb_pull_rcsum" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd2a0fa54, "__dynamic_dev_dbg" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x9fc87596, "ether_setup" },
	{ 0x3d3901d3, "switchdev_handle_fdb_event_to_device" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0xcf00b9f, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x25aed5bd, "netdev_upper_dev_link" },
	{ 0x5d3a51ad, "pskb_expand_head" },
	{ 0xafa74d1f, "switchdev_handle_port_attr_set" },
	{ 0x16b9163f, "phylink_create" },
	{ 0x1630afe2, "vlan_for_each" },
	{ 0xf5565895, "netdev_port_same_parent_id" },
	{ 0x7e459010, "trace_event_buffer_commit" },
	{ 0x3adb67a9, "dev_addr_mod" },
	{ 0x9eef41bf, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9ef7c539, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xc525bd29, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x73784c9c, "vlan_dev_vlan_proto" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "phylink,libphy,bridge,selftests,hsr");


MODULE_INFO(srcversion, "F9B13DB99AAF84F09C74716");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
